/dts-v1/;

/ {
	compatible = "qcom,pineapple-cdp", "qcom,pineapple", "qcom,pineapplep-cdp", "qcom,pineapplep", "qcom,cdp";
	model = "Qualcomm Technologies, Inc. Pineapple CDP ST54L NFC";
	qcom,board-id = <0x50001 0x0>;
	qcom,msm-id = <0x241 0x10000>;

	__fixups__ {
		APC1_pause = "/fragment@15/__overlay__/pm8550vs_e_tz/cooling-maps/pm8550vs_e_apc1:cooling-device:0", "/fragment@15/__overlay__/xo-therm/cooling-maps/apc1_cdev:cooling-device:0";
		APC2_pause = "/fragment@15/__overlay__/pm8550vs_e_tz/cooling-maps/pm8550vs_e_apc2:cooling-device:0";
		BOB1 = "/fragment@14/__overlay__/regulator-ocp-notifier:periph-1e4-supply:0";
		BOB2 = "/fragment@14/__overlay__/regulator-ocp-notifier:periph-1e6-supply:0";
		L10B = "/fragment@14/__overlay__/regulator-ocp-notifier:periph-1ca-supply:0";
		L11B = "/fragment@14/__overlay__/regulator-ocp-notifier:periph-1cb-supply:0";
		L12B = "/fragment@14/__overlay__/regulator-ocp-notifier:periph-1cc-supply:0", "/fragment@23/__overlay__/goodix-berlin@0:iovdd-supply:0", "/fragment@24/__overlay__/goodix-berlin@0:iovdd-supply:0";
		L13B = "/fragment@14/__overlay__/regulator-ocp-notifier:periph-1cd-supply:0";
		L14B = "/fragment@14/__overlay__/regulator-ocp-notifier:periph-1ce-supply:0", "/fragment@23/__overlay__/goodix-berlin@0:avdd-supply:0", "/fragment@24/__overlay__/goodix-berlin@0:avdd-supply:0";
		L15B = "/fragment@14/__overlay__/regulator-ocp-notifier:periph-1cf-supply:0", "/fragment@27/__overlay__/qcom,cnss-kiwi@b0000000:vdd-wlan-io-supply:0";
		L16B = "/fragment@14/__overlay__/regulator-ocp-notifier:periph-1d0-supply:0";
		L17B = "/fragment@14/__overlay__/regulator-ocp-notifier:periph-1d1-supply:0";
		L1B = "/fragment@14/__overlay__/regulator-ocp-notifier:periph-1c1-supply:0";
		L1C = "/fragment@14/__overlay__/regulator-ocp-notifier:periph-2c1-supply:0";
		L1D = "/fragment@14/__overlay__/regulator-ocp-notifier:periph-3c1-supply:0";
		L1G = "/fragment@14/__overlay__/regulator-ocp-notifier:periph-6c1-supply:0";
		L1I = "/fragment@14/__overlay__/regulator-ocp-notifier:periph-8c1-supply:0";
		L1K = "/fragment@14/__overlay__/regulator-ocp-notifier:periph-ac1-supply:0";
		L1M = "/fragment@14/__overlay__/regulator-ocp-notifier:periph-c40-supply:0";
		L1N = "/fragment@14/__overlay__/regulator-ocp-notifier:periph-d40-supply:0";
		L2B = "/fragment@14/__overlay__/regulator-ocp-notifier:periph-1c2-supply:0";
		L2C = "/fragment@14/__overlay__/regulator-ocp-notifier:periph-2c2-supply:0";
		L2D_LEVEL = "/fragment@14/__overlay__/regulator-ocp-notifier:periph-3c2-supply:0";
		L2E = "/fragment@14/__overlay__/regulator-ocp-notifier:periph-4c2-supply:0";
		L2G = "/fragment@14/__overlay__/regulator-ocp-notifier:periph-6c2-supply:0";
		L2I = "/fragment@14/__overlay__/regulator-ocp-notifier:periph-8c2-supply:0";
		L2K = "/fragment@14/__overlay__/regulator-ocp-notifier:periph-ac2-supply:0";
		L2M = "/fragment@14/__overlay__/regulator-ocp-notifier:periph-c41-supply:0";
		L2N = "/fragment@14/__overlay__/regulator-ocp-notifier:periph-d41-supply:0";
		L3C = "/fragment@14/__overlay__/regulator-ocp-notifier:periph-2c3-supply:0", "/fragment@27/__overlay__/qcom,cnss-kiwi@b0000000:vdd-wlan-io12-supply:0";
		L3D = "/fragment@14/__overlay__/regulator-ocp-notifier:periph-3c3-supply:0";
		L3E = "/fragment@14/__overlay__/regulator-ocp-notifier:periph-4c3-supply:0";
		L3G = "/fragment@14/__overlay__/regulator-ocp-notifier:periph-6c3-supply:0";
		L3I = "/fragment@14/__overlay__/regulator-ocp-notifier:periph-8c3-supply:0";
		L3K = "/fragment@14/__overlay__/regulator-ocp-notifier:periph-ac3-supply:0";
		L3M = "/fragment@14/__overlay__/regulator-ocp-notifier:periph-c42-supply:0";
		L3N = "/fragment@14/__overlay__/regulator-ocp-notifier:periph-d42-supply:0";
		L4K = "/fragment@14/__overlay__/regulator-ocp-notifier:periph-ac4-supply:0";
		L4M = "/fragment@14/__overlay__/regulator-ocp-notifier:periph-c43-supply:0";
		L4N = "/fragment@14/__overlay__/regulator-ocp-notifier:periph-d43-supply:0";
		L5B = "/fragment@14/__overlay__/regulator-ocp-notifier:periph-1c5-supply:0";
		L5K = "/fragment@14/__overlay__/regulator-ocp-notifier:periph-ac5-supply:0";
		L5M = "/fragment@14/__overlay__/regulator-ocp-notifier:periph-c44-supply:0";
		L5N = "/fragment@14/__overlay__/regulator-ocp-notifier:periph-d44-supply:0";
		L6B = "/fragment@14/__overlay__/regulator-ocp-notifier:periph-1c6-supply:0";
		L6K = "/fragment@14/__overlay__/regulator-ocp-notifier:periph-ac6-supply:0", "/fragment@27/__overlay__/qcom,cnss-kiwi@b0000000:vdd-wlan-ant-share-supply:0";
		L6M = "/fragment@14/__overlay__/regulator-ocp-notifier:periph-c45-supply:0";
		L6N = "/fragment@14/__overlay__/regulator-ocp-notifier:periph-d45-supply:0";
		L7B = "/fragment@14/__overlay__/regulator-ocp-notifier:periph-1c7-supply:0";
		L7K = "/fragment@14/__overlay__/regulator-ocp-notifier:periph-ac7-supply:0";
		L7M = "/fragment@14/__overlay__/regulator-ocp-notifier:periph-c46-supply:0";
		L7N = "/fragment@14/__overlay__/regulator-ocp-notifier:periph-d46-supply:0";
		L8B = "/fragment@14/__overlay__/regulator-ocp-notifier:periph-1c8-supply:0";
		L9B = "/fragment@14/__overlay__/regulator-ocp-notifier:periph-1c9-supply:0";
		S1C = "/fragment@14/__overlay__/regulator-ocp-notifier:periph-29b-supply:0", "/fragment@27/__overlay__/qcom,cnss-kiwi@b0000000:vdd-wlan-rfa2-supply:0";
		S1G_LEVEL = "/fragment@14/__overlay__/regulator-ocp-notifier:periph-69b-supply:0";
		S1I_LEVEL = "/fragment@14/__overlay__/regulator-ocp-notifier:periph-89b-supply:0";
		S2C = "/fragment@14/__overlay__/regulator-ocp-notifier:periph-29e-supply:0", "/fragment@27/__overlay__/qcom,cnss-kiwi@b0000000:vdd-wlan-aon-supply:0";
		S3C = "/fragment@14/__overlay__/regulator-ocp-notifier:periph-2a1-supply:0", "/fragment@27/__overlay__/qcom,cnss-kiwi@b0000000:vdd-wlan-dig-supply:0";
		S3D_LEVEL = "/fragment@14/__overlay__/regulator-ocp-notifier:periph-3a1-supply:0";
		S3G = "/fragment@14/__overlay__/regulator-ocp-notifier:periph-6a1-supply:0";
		S3I_LEVEL = "/fragment@14/__overlay__/regulator-ocp-notifier:periph-8a1-supply:0";
		S4C = "/fragment@14/__overlay__/regulator-ocp-notifier:periph-2a4-supply:0";
		S4D_LEVEL = "/fragment@14/__overlay__/regulator-ocp-notifier:periph-3a4-supply:0";
		S4G_LEVEL = "/fragment@14/__overlay__/regulator-ocp-notifier:periph-6a4-supply:0";
		S4I = "/fragment@14/__overlay__/regulator-ocp-notifier:periph-8a4-supply:0", "/fragment@27/__overlay__/qcom,cnss-kiwi@b0000000:vdd-wlan-supply:0";
		S5C = "/fragment@14/__overlay__/regulator-ocp-notifier:periph-2a7-supply:0";
		S5D_LEVEL = "/fragment@14/__overlay__/regulator-ocp-notifier:periph-3a7-supply:0";
		S5G_LEVEL = "/fragment@14/__overlay__/regulator-ocp-notifier:periph-6a7-supply:0";
		S5I = "/fragment@14/__overlay__/regulator-ocp-notifier:periph-8a7-supply:0";
		S6C = "/fragment@14/__overlay__/regulator-ocp-notifier:periph-2aa-supply:0", "/fragment@27/__overlay__/qcom,cnss-kiwi@b0000000:vdd-wlan-rfa1-supply:0";
		S6I_LEVEL = "/fragment@14/__overlay__/regulator-ocp-notifier:periph-8aa-supply:0";
		S8I_LEVEL = "/fragment@14/__overlay__/regulator-ocp-notifier:periph-8b0-supply:0";
		aoss_qmp = "/fragment@27/__overlay__/qcom,cnss-kiwi@b0000000:qcom,qmp:0";
		cdsp_sw = "/fragment@15/__overlay__/socd/cooling-maps/socd_cdsp1:cooling-device:0", "/fragment@15/__overlay__/pm8550b-bcl-lvl0/cooling-maps/lbat_cdsp0:cooling-device:0", "/fragment@15/__overlay__/pm8550b-bcl-lvl1/cooling-maps/lbat_cdsp1:cooling-device:0", "/fragment@15/__overlay__/pm8550b-bcl-lvl2/cooling-maps/lbat_cdsp2:cooling-device:0", "/fragment@15/__overlay__/pm8550-bcl-lvl0/cooling-maps/vph_cdsp0:cooling-device:0", "/fragment@15/__overlay__/pm8550-bcl-lvl1/cooling-maps/vph_cdsp1:cooling-device:0", "/fragment@15/__overlay__/pm8550-bcl-lvl2/cooling-maps/vph_cdsp2:cooling-device:0", "/fragment@15/__overlay__/xo-therm/cooling-maps/cdsp_cdev:cooling-device:0";
		cdsp_sw_hmx = "/fragment@15/__overlay__/pm8550vs_g_tz/cooling-maps/pm8550vs_g_nsp:cooling-device:0";
		cdsp_sw_hvx = "/fragment@15/__overlay__/pm8550ve_tz/cooling-maps/pm8550ve_nsp:cooling-device:0";
		cpu3_hotplug = "/fragment@15/__overlay__/xo-therm/cooling-maps/cpu3_hot_cdev:cooling-device:0";
		cpu4_hotplug = "/fragment@15/__overlay__/xo-therm/cooling-maps/cpu4_hot_cdev:cooling-device:0";
		cpu5_hotplug = "/fragment@15/__overlay__/xo-therm/cooling-maps/cpu5_hot_cdev:cooling-device:0";
		cpu6_hotplug = "/fragment@15/__overlay__/xo-therm/cooling-maps/cpu6_hot_cdev:cooling-device:0";
		cpu7_hotplug = "/fragment@15/__overlay__/xo-therm/cooling-maps/cpu7_hot_cdev:cooling-device:0";
		display_fps = "/fragment@15/__overlay__/xo-therm/cooling-maps/display_cdev1:cooling-device:0", "/fragment@15/__overlay__/xo-therm/cooling-maps/display_cdev2:cooling-device:0", "/fragment@15/__overlay__/xo-therm/cooling-maps/display_cdev3:cooling-device:0", "/fragment@15/__overlay__/xo-therm/cooling-maps/display_cdev4:cooling-device:0";
		eusb2_phy0 = "/fragment@20:target:0";
		gcc = "/fragment@16/__overlay__:resets:0", "/fragment@19/__overlay__:resets:0";
		gcc_ufs_mem_phy_gdsc = "/fragment@18/__overlay__:vdd-phy-gdsc-supply:0";
		gcc_ufs_phy_gdsc = "/fragment@19/__overlay__:vdd-hba-supply:0";
		gem_noc = "/fragment@27/__overlay__/qcom,cnss-kiwi@b0000000:interconnects:16";
		gh_watchdog = "/fragment@14/__overlay__/pmic-pon-log:depends-on-supply:0";
		hwfence_shbuf = "/fragment@29/__overlay__/qcom,hw-fence/hw_fence@1:shared-buffer:0";
		mc_virt = "/fragment@27/__overlay__/qcom,cnss-kiwi@b0000000:interconnects:24";
		modem_bcl = "/fragment@15/__overlay__/pm8550b-bcl-lvl0/cooling-maps/lbat_modem0:cooling-device:0", "/fragment@15/__overlay__/pm8550b-bcl-lvl1/cooling-maps/lbat_modem1:cooling-device:0", "/fragment@15/__overlay__/pm8550-bcl-lvl0/cooling-maps/vph_modem0:cooling-device:0", "/fragment@15/__overlay__/pm8550-bcl-lvl1/cooling-maps/vph_modem1:cooling-device:0";
		modem_lte_dsc = "/fragment@15/__overlay__/xo-therm/cooling-maps/lte_cdev:cooling-device:0";
		modem_nr_scg_dsc = "/fragment@15/__overlay__/xo-therm/cooling-maps/nr_cdev:cooling-device:0";
		msm_gpu = "/fragment@15/__overlay__/socd/cooling-maps/socd_gpu0:cooling-device:0", "/fragment@15/__overlay__/pm8550b-bcl-lvl0/cooling-maps/lbat_gpu0:cooling-device:0", "/fragment@15/__overlay__/pm8550b-bcl-lvl1/cooling-maps/lbat_gpu1:cooling-device:0", "/fragment@15/__overlay__/pm8550b-bcl-lvl2/cooling-maps/lbat_gpu2:cooling-device:0", "/fragment@15/__overlay__/pm8550-bcl-lvl0/cooling-maps/vph_gpu0:cooling-device:0", "/fragment@15/__overlay__/pm8550-bcl-lvl1/cooling-maps/vph_gpu1:cooling-device:0", "/fragment@15/__overlay__/pm8550-bcl-lvl2/cooling-maps/vph_gpu2:cooling-device:0", "/fragment@15/__overlay__/pm8550vs_d_tz/cooling-maps/pm8550vs_d_gpu:cooling-device:0";
		nfc_enable_active = "/fragment@30/__overlay__/st21nfc@08:pinctrl-0:4";
		nfc_enable_suspend = "/fragment@30/__overlay__/st21nfc@08:pinctrl-1:4";
		nfc_int_active = "/fragment@30/__overlay__/st21nfc@08:pinctrl-0:0";
		nfc_int_suspend = "/fragment@30/__overlay__/st21nfc@08:pinctrl-1:0";
		pcie0_rp = "/fragment@28:target:0";
		pcie_noc = "/fragment@27/__overlay__/qcom,cnss-kiwi@b0000000:interconnects:0", "/fragment@27/__overlay__/qcom,cnss-kiwi@b0000000:interconnects:8";
		pm_humu_l15 = "/fragment@4/__overlay__/qcom,pm8550b@7/qcom,eusb2-repeater@fd00:vdd18-supply:0";
		pm_humu_l17 = "/fragment@19/__overlay__:vcc-supply:0";
		pm_humu_l5 = "/fragment@4/__overlay__/qcom,pm8550b@7/qcom,eusb2-repeater@fd00:vdd3-supply:0";
		pm_humu_l8 = "/fragment@16/__overlay__:vdd-io-supply:0";
		pm_humu_l9 = "/fragment@16/__overlay__:vdd-supply:0";
		pm_v6c_l1 = "/fragment@19/__overlay__:vccq-supply:0";
		pm_v6c_l3 = "/fragment@19/__overlay__:qcom,vddp-ref-clk-supply:0";
		pm_v6c_s1 = "/fragment@19/__overlay__:qcom,vccq-parent-supply:0";
		pm_v6d_l1 = "/fragment@18/__overlay__:vdda-phy-supply:0";
		pm_v8_l1 = "/fragment@18/__overlay__:vdda-qref-supply:0";
		pm_v8_l3 = "/fragment@18/__overlay__:vdda-pll-supply:0";
		qupv3_se0_i2c = "/fragment@30:target:0";
		qupv3_se4_spi = "/fragment@23:target:0";
		qupv3_se7_spi = "/fragment@24:target:0";
		reserved_memory = "/fragment@26:target:0";
		sdc2_off = "/fragment@16/__overlay__:pinctrl-1:0";
		sdc2_on = "/fragment@16/__overlay__:pinctrl-0:0";
		sdhc_2 = "/fragment@16:target:0";
		soc = "/fragment@14:target:0", "/fragment@17:target:0", "/fragment@27:target:0", "/fragment@29:target:0";
		spmi_bus = "/fragment@0:target:0", "/fragment@2:target:0", "/fragment@4:target:0", "/fragment@6:target:0", "/fragment@8:target:0", "/fragment@10:target:0", "/fragment@11:target:0", "/fragment@14/__overlay__/regulator-ocp-notifier:interrupt-parent:0";
		thermal_zones = "/fragment@1:target:0", "/fragment@3:target:0", "/fragment@5:target:0", "/fragment@7:target:0", "/fragment@9:target:0", "/fragment@12:target:0", "/fragment@13:target:0", "/fragment@15:target:0";
		tlmm = "/fragment@19/__overlay__:reset-gpios:0", "/fragment@23/__overlay__/goodix-berlin@0:interrupt-parent:0", "/fragment@23/__overlay__/goodix-berlin@0:goodix,reset-gpio:0", "/fragment@23/__overlay__/goodix-berlin@0:goodix,irq-gpio:0", "/fragment@23/__overlay__/goodix-berlin@0:qts,trusted-touch-vm-gpio-list:0", "/fragment@23/__overlay__/goodix-berlin@0:qts,trusted-touch-vm-gpio-list:12", "/fragment@23/__overlay__/goodix-berlin@0:qts,trusted-touch-vm-gpio-list:24", "/fragment@23/__overlay__/goodix-berlin@0:qts,trusted-touch-vm-gpio-list:36", "/fragment@23/__overlay__/goodix-berlin@0:qts,trusted-touch-vm-gpio-list:48", "/fragment@23/__overlay__/goodix-berlin@0:qts,trusted-touch-vm-gpio-list:60", "/fragment@24/__overlay__/goodix-berlin@0:interrupt-parent:0", "/fragment@24/__overlay__/goodix-berlin@0:goodix,reset-gpio:0", "/fragment@24/__overlay__/goodix-berlin@0:goodix,irq-gpio:0", "/fragment@24/__overlay__/goodix-berlin@0:qts,trusted-touch-vm-gpio-list:0", "/fragment@24/__overlay__/goodix-berlin@0:qts,trusted-touch-vm-gpio-list:12", "/fragment@24/__overlay__/goodix-berlin@0:qts,trusted-touch-vm-gpio-list:24", "/fragment@24/__overlay__/goodix-berlin@0:qts,trusted-touch-vm-gpio-list:36", "/fragment@24/__overlay__/goodix-berlin@0:qts,trusted-touch-vm-gpio-list:48", "/fragment@24/__overlay__/goodix-berlin@0:qts,trusted-touch-vm-gpio-list:60", "/fragment@25:target:0", "/fragment@27/__overlay__/qcom,cnss-kiwi@b0000000:qcom,wlan-sw-ctrl-gpio:0", "/fragment@27/__overlay__/qcom,cnss-kiwi@b0000000:wlan-en-gpio:0", "/fragment@27/__overlay__/qcom,cnss-kiwi@b0000000:qcom,bt-en-gpio:0", "/fragment@27/__overlay__/qcom,cnss-kiwi@b0000000:qcom,sw-ctrl-gpio:0", "/fragment@27/__overlay__/qcom,cnss-kiwi@b0000000:wlan-asus_ant_140:0", "/fragment@30/__overlay__/st21nfc@08:irq-gpios:0", "/fragment@30/__overlay__/st21nfc@08:reset-gpios:0", "/fragment@30/__overlay__/st21nfc@08:clkreq-gpios:0", "/fragment@30/__overlay__/st21nfc@08:interrupt-parent:0";
		ucsi = "/fragment@22:target:0";
		ufshc_mem = "/fragment@19:target:0";
		ufsphy_mem = "/fragment@18:target:0";
		usb0 = "/fragment@21:target:0";
	};

	__local_fixups__ {

		fragment@1 {

			__overlay__ {

				pm8010m_tz {
					thermal-sensors = <0x0>;
				};

				pm8010n_tz {
					thermal-sensors = <0x0>;
				};
			};
		};

		fragment@10 {

			__overlay__ {

				qcom,pmk8550@0 {

					pinctrl@b800 {
						pinctrl-0 = <0x0>;
					};
				};
			};
		};

		fragment@12 {

			__overlay__ {

				pmr735d_tz {
					thermal-sensors = <0x0>;
				};
			};
		};

		fragment@13 {

			__overlay__ {

				cam-flash-therm {
					thermal-sensors = <0x0>;
				};

				pa-therm-1 {
					thermal-sensors = <0x0>;
				};

				rear-tof-therm {
					thermal-sensors = <0x0>;
				};

				skin-msm-therm {
					thermal-sensors = <0x0>;
				};

				usb-therm {
					thermal-sensors = <0x0>;
				};

				wlan-therm {
					thermal-sensors = <0x0>;
				};

				wls-therm {
					thermal-sensors = <0x0>;
				};

				xo-therm {
					thermal-sensors = <0x0>;
				};
			};
		};

		fragment@14 {

			__overlay__ {

				pmic-pon-log {
					nvmem = <0x0 0x4>;
				};

				reboot_reason {
					nvmem-cells = <0x0>;
				};

				regulator-dbo3 {
					gpio = <0x0>;
				};

				regulator-ocp-notifier {
					nvmem-cells = <0x0 0x4>;
				};
			};
		};

		fragment@15 {

			__overlay__ {

				pm8550-bcl-lvl0 {

					cooling-maps {

						vph_cdsp0 {
							trip = <0x0>;
						};

						vph_gpu0 {
							trip = <0x0>;
						};

						vph_modem0 {
							trip = <0x0>;
						};
					};
				};

				pm8550-bcl-lvl1 {

					cooling-maps {

						vph_cdsp1 {
							trip = <0x0>;
						};

						vph_gpu1 {
							trip = <0x0>;
						};

						vph_modem1 {
							trip = <0x0>;
						};
					};
				};

				pm8550-bcl-lvl2 {

					cooling-maps {

						vph_cdsp2 {
							trip = <0x0>;
						};

						vph_gpu2 {
							trip = <0x0>;
						};
					};
				};

				pm8550b-bcl-lvl0 {

					cooling-maps {

						lbat_cdsp0 {
							trip = <0x0>;
						};

						lbat_gpu0 {
							trip = <0x0>;
						};

						lbat_modem0 {
							trip = <0x0>;
						};
					};
				};

				pm8550b-bcl-lvl1 {

					cooling-maps {

						lbat_cdsp1 {
							trip = <0x0>;
						};

						lbat_gpu1 {
							trip = <0x0>;
						};

						lbat_modem1 {
							trip = <0x0>;
						};
					};
				};

				pm8550b-bcl-lvl2 {

					cooling-maps {

						lbat_cdsp2 {
							trip = <0x0>;
						};

						lbat_gpu2 {
							trip = <0x0>;
						};
					};
				};

				pm8550ve_tz {

					cooling-maps {

						pm8550ve_nsp {
							trip = <0x0>;
						};
					};
				};

				pm8550vs_d_tz {

					cooling-maps {

						pm8550vs_d_gpu {
							trip = <0x0>;
						};
					};
				};

				pm8550vs_e_tz {

					cooling-maps {

						pm8550vs_e_apc1 {
							trip = <0x0>;
						};

						pm8550vs_e_apc2 {
							trip = <0x0>;
						};
					};
				};

				pm8550vs_g_tz {

					cooling-maps {

						pm8550vs_g_nsp {
							trip = <0x0>;
						};
					};
				};

				socd {

					cooling-maps {

						socd_cdsp1 {
							trip = <0x0>;
						};

						socd_gpu0 {
							trip = <0x0>;
						};
					};
				};

				xo-therm {

					cooling-maps {

						apc1_cdev {
							trip = <0x0>;
						};

						cdsp_cdev {
							trip = <0x0>;
						};

						cpu3_hot_cdev {
							trip = <0x0>;
						};

						cpu4_hot_cdev {
							trip = <0x0>;
						};

						cpu5_hot_cdev {
							trip = <0x0>;
						};

						cpu6_hot_cdev {
							trip = <0x0>;
						};

						cpu7_hot_cdev {
							trip = <0x0>;
						};

						display_cdev1 {
							trip = <0x0>;
						};

						display_cdev2 {
							trip = <0x0>;
						};

						display_cdev3 {
							trip = <0x0>;
						};

						display_cdev4 {
							trip = <0x0>;
						};

						lte_cdev {
							trip = <0x0>;
						};

						nr_cdev {
							trip = <0x0>;
						};
					};
				};
			};
		};

		fragment@16 {

			__overlay__ {
				cd-gpios = <0x0>;
				pinctrl-0 = <0x4>;
				pinctrl-1 = <0x4>;
			};
		};

		fragment@17 {

			__overlay__ {

				gpio_keys {
					pinctrl-0 = <0x0>;

					vol_up {
						gpios = <0x0>;
					};
				};
			};
		};

		fragment@2 {

			__overlay__ {

				qcom,pm8550@1 {

					pm8550-temp-alarm@a00 {
						io-channels = <0x0>;
					};

					pwms@e800 {
						nvmem = <0x0 0x4>;
					};

					qcom,leds@ef00 {

						blue {
							pwms = <0x0>;
						};

						green {
							pwms = <0x0>;
						};

						red {
							pwms = <0x0>;
						};
					};
				};
			};
		};

		fragment@20 {

			__overlay__ {
				dummy-supply = <0x0>;
				usb-repeater = <0x0>;
			};
		};

		fragment@21 {

			__overlay__ {

				port {

					endpoint {
						remote-endpoint = <0x0>;
					};
				};
			};
		};

		fragment@22 {

			__overlay__ {

				connector {

					port {

						endpoint {
							remote-endpoint = <0x0>;
						};
					};
				};
			};
		};

		fragment@27 {

			__overlay__ {

				qcom,cnss-kiwi@b0000000 {
					pinctrl-0 = <0x0>;
					pinctrl-1 = <0x0>;
					pinctrl-2 = <0x0>;
				};
			};
		};

		fragment@28 {

			__overlay__ {

				cnss_pci0 {
					memory-region = <0x0>;
					qcom,iommu-group = <0x0>;
				};
			};
		};

		fragment@3 {

			__overlay__ {

				pm8550-bcl-lvl0 {
					thermal-sensors = <0x0>;
				};

				pm8550-bcl-lvl1 {
					thermal-sensors = <0x0>;
				};

				pm8550-bcl-lvl2 {
					thermal-sensors = <0x0>;
				};

				pm8550_tz {
					thermal-sensors = <0x0>;
				};
			};
		};

		fragment@4 {

			__overlay__ {

				qcom,pm8550b@7 {

					pm8550b-temp-alarm-lite@c00 {
						io-channels = <0x0>;
					};

					pm8550b-temp-alarm@a00 {
						io-channels = <0x0>;
					};

					qcom,hv-haptics@f000 {
						nvmem = <0x0>;
					};
				};
			};
		};

		fragment@5 {

			__overlay__ {

				pm8550b-bcl-lvl0 {
					thermal-sensors = <0x0>;
				};

				pm8550b-bcl-lvl1 {
					thermal-sensors = <0x0>;
				};

				pm8550b-bcl-lvl2 {
					thermal-sensors = <0x0>;
				};

				pm8550b-ibat-lvl0 {
					thermal-sensors = <0x0>;
				};

				pm8550b-ibat-lvl1 {
					thermal-sensors = <0x0>;
				};

				pm8550b_lite_tz {
					thermal-sensors = <0x0>;
				};

				pm8550b_tz {
					thermal-sensors = <0x0>;
				};

				socd {
					thermal-sensors = <0x0>;
				};
			};
		};

		fragment@6 {

			__overlay__ {

				qcom,pm8550ve@8 {

					pm8550ve-temp-alarm@a00 {
						io-channels = <0x0>;
					};
				};
			};
		};

		fragment@7 {

			__overlay__ {

				pm8550ve_tz {
					thermal-sensors = <0x0>;
				};
			};
		};

		fragment@8 {

			__overlay__ {

				qcom,pm8550vs@2 {

					pm8550vs-c-temp-alarm@a00 {
						io-channels = <0x0>;
					};
				};

				qcom,pm8550vs@3 {

					pm8550vs-d-temp-alarm@a00 {
						io-channels = <0x0>;
					};
				};

				qcom,pm8550vs@4 {

					pm8550vs-e-temp-alarm@a00 {
						io-channels = <0x0>;
					};
				};

				qcom,pm8550vs@6 {

					pm8550vs-g-temp-alarm@a00 {
						io-channels = <0x0>;
					};
				};
			};
		};

		fragment@9 {

			__overlay__ {

				pm8550vs_c_tz {
					thermal-sensors = <0x0>;
				};

				pm8550vs_d_tz {
					thermal-sensors = <0x0>;
				};

				pm8550vs_e_tz {
					thermal-sensors = <0x0>;
				};

				pm8550vs_g_tz {
					thermal-sensors = <0x0>;
				};
			};
		};
	};

	__symbols__ {
		DBO3 = "/fragment@14/__overlay__/regulator-dbo3";
		alarm_log = "/fragment@10/__overlay__/qcom,pmk8550@0/sdam@7100/alarm-log@76";
		alt_sleep_clk_default = "/fragment@10/__overlay__/qcom,pmk8550@0/pinctrl@b800/alt_sleep_clk/alt_sleep_clk_default";
		aura_vdd_en_default = "/fragment@4/__overlay__/qcom,pm8550b@7/pinctrl@8800/aura_vdd_en/aura_vdd_en_default";
		b_bcl_lvl0 = "/fragment@5/__overlay__/pm8550b-bcl-lvl0/trips/b-bcl-lvl0";
		b_bcl_lvl1 = "/fragment@5/__overlay__/pm8550b-bcl-lvl1/trips/b-bcl-lvl1";
		b_bcl_lvl2 = "/fragment@5/__overlay__/pm8550b-bcl-lvl2/trips/b-bcl-lvl2";
		bcl_lvl0 = "/fragment@3/__overlay__/pm8550-bcl-lvl0/trips/bcl-lvl0";
		bcl_lvl1 = "/fragment@3/__overlay__/pm8550-bcl-lvl1/trips/bcl-lvl1";
		bcl_lvl2 = "/fragment@3/__overlay__/pm8550-bcl-lvl2/trips/bcl-lvl2";
		bcl_soc = "/fragment@4/__overlay__/qcom,pm8550b@7/bcl-soc";
		cnss_pci0 = "/fragment@28/__overlay__/cnss_pci0";
		cnss_pci_iommu_group0 = "/fragment@28/__overlay__/cnss_pci0/cnss_pci_iommu_group0";
		cnss_wlan_en_active = "/fragment@25/__overlay__/cnss_pins/cnss_wlan_en_active";
		cnss_wlan_en_sleep = "/fragment@25/__overlay__/cnss_pins/cnss_wlan_en_sleep";
		cnss_wlan_mem = "/fragment@26/__overlay__/cnss_wlan_region";
		display_test_config1 = "/fragment@13/__overlay__/xo-therm/trips/display-test-config1";
		display_test_config2 = "/fragment@13/__overlay__/xo-therm/trips/display-test-config2";
		display_test_config3 = "/fragment@13/__overlay__/xo-therm/trips/display-test-config3";
		display_test_config4 = "/fragment@13/__overlay__/xo-therm/trips/display-test-config4";
		hap_swr_slave_reg = "/fragment@4/__overlay__/qcom,pm8550b@7/qcom,hv-haptics@f000/qcom,hap-swr-slave-reg";
		ibat_lvl0 = "/fragment@5/__overlay__/pm8550b-ibat-lvl0/trips/ibat-lvl0";
		ibat_lvl1 = "/fragment@5/__overlay__/pm8550b-ibat-lvl1/trips/ibat-lvl1";
		ibb_spur_sqm_timer = "/fragment@10/__overlay__/qcom,pmk8550@0/sdam@9a00/sqm-timer@b8";
		key_vol_up_default = "/fragment@2/__overlay__/qcom,pm8550@1/pinctrl@8800/key_vol_up/key_vol_up_default";
		msm_hw_fence = "/fragment@29/__overlay__/qcom,hw-fence";
		ocp_log = "/fragment@10/__overlay__/qcom,pmk8550@0/sdam@7000/ocp-log@76";
		pm8010_m = "/fragment@0/__overlay__/qcom,pm8010@c";
		pm8010_n = "/fragment@0/__overlay__/qcom,pm8010@d";
		pm8010m_tz = "/fragment@0/__overlay__/qcom,pm8010@c/pm8010m-temp-alarm@2400";
		pm8010n_tz = "/fragment@0/__overlay__/qcom,pm8010@d/pm8010n-temp-alarm@2400";
		pm8550_bcl = "/fragment@2/__overlay__/qcom,pm8550@1/bcl@4700";
		pm8550_flash = "/fragment@2/__overlay__/qcom,pm8550@1/qcom,flash_led@ee00";
		pm8550_flash0 = "/fragment@2/__overlay__/qcom,pm8550@1/qcom,flash_led@ee00/qcom,flash_0";
		pm8550_flash1 = "/fragment@2/__overlay__/qcom,pm8550@1/qcom,flash_led@ee00/qcom,flash_1";
		pm8550_flash2 = "/fragment@2/__overlay__/qcom,pm8550@1/qcom,flash_led@ee00/qcom,flash_2";
		pm8550_flash3 = "/fragment@2/__overlay__/qcom,pm8550@1/qcom,flash_led@ee00/qcom,flash_3";
		pm8550_gpios = "/fragment@2/__overlay__/qcom,pm8550@1/pinctrl@8800";
		pm8550_pwm_1 = "/fragment@2/__overlay__/qcom,pm8550@1/pwms@e800";
		pm8550_pwm_2 = "/fragment@2/__overlay__/qcom,pm8550@1/pwms@eb00";
		pm8550_rgb = "/fragment@2/__overlay__/qcom,pm8550@1/qcom,leds@ef00";
		pm8550_switch0 = "/fragment@2/__overlay__/qcom,pm8550@1/qcom,flash_led@ee00/qcom,led_switch_0";
		pm8550_switch1 = "/fragment@2/__overlay__/qcom,pm8550@1/qcom,flash_led@ee00/qcom,led_switch_1";
		pm8550_switch2 = "/fragment@2/__overlay__/qcom,pm8550@1/qcom,flash_led@ee00/qcom,led_switch_2";
		pm8550_temp_alarm = "/fragment@3/__overlay__/pm8550_tz";
		pm8550_torch0 = "/fragment@2/__overlay__/qcom,pm8550@1/qcom,flash_led@ee00/qcom,torch_0";
		pm8550_torch1 = "/fragment@2/__overlay__/qcom,pm8550@1/qcom,flash_led@ee00/qcom,torch_1";
		pm8550_torch2 = "/fragment@2/__overlay__/qcom,pm8550@1/qcom,flash_led@ee00/qcom,torch_2";
		pm8550_torch3 = "/fragment@2/__overlay__/qcom,pm8550@1/qcom,flash_led@ee00/qcom,torch_3";
		pm8550_trip0 = "/fragment@3/__overlay__/pm8550_tz/trips/trip0";
		pm8550_trip1 = "/fragment@3/__overlay__/pm8550_tz/trips/trip1";
		pm8550_trip2 = "/fragment@3/__overlay__/pm8550_tz/trips/trip2";
		pm8550_tz = "/fragment@2/__overlay__/qcom,pm8550@1/pm8550-temp-alarm@a00";
		pm8550b_bcl = "/fragment@4/__overlay__/qcom,pm8550b@7/bcl@4700";
		pm8550b_eusb2_repeater = "/fragment@4/__overlay__/qcom,pm8550b@7/qcom,eusb2-repeater@fd00";
		pm8550b_gpios = "/fragment@4/__overlay__/qcom,pm8550b@7/pinctrl@8800";
		pm8550b_haptics = "/fragment@4/__overlay__/qcom,pm8550b@7/qcom,hv-haptics@f000";
		pm8550b_lite_temp_alarm = "/fragment@5/__overlay__/pm8550b_lite_tz";
		pm8550b_lite_tz = "/fragment@4/__overlay__/qcom,pm8550b@7/pm8550b-temp-alarm-lite@c00";
		pm8550b_temp_alarm = "/fragment@5/__overlay__/pm8550b_tz";
		pm8550b_trip0 = "/fragment@5/__overlay__/pm8550b_tz/trips/trip0";
		pm8550b_trip1 = "/fragment@5/__overlay__/pm8550b_tz/trips/trip1";
		pm8550b_trip2 = "/fragment@5/__overlay__/pm8550b_tz/trips/trip2";
		pm8550b_tz = "/fragment@4/__overlay__/qcom,pm8550b@7/pm8550b-temp-alarm@a00";
		pm8550ve = "/fragment@6/__overlay__/qcom,pm8550ve@8";
		pm8550ve_gpios = "/fragment@6/__overlay__/qcom,pm8550ve@8/pinctrl@8800";
		pm8550ve_temp_alarm = "/fragment@7/__overlay__/pm8550ve_tz";
		pm8550ve_trip0 = "/fragment@7/__overlay__/pm8550ve_tz/trips/trip0";
		pm8550ve_trip1 = "/fragment@7/__overlay__/pm8550ve_tz/trips/trip1";
		pm8550ve_trip2 = "/fragment@7/__overlay__/pm8550ve_tz/trips/trip2";
		pm8550ve_tz = "/fragment@6/__overlay__/qcom,pm8550ve@8/pm8550ve-temp-alarm@a00";
		pm8550vs_c = "/fragment@8/__overlay__/qcom,pm8550vs@2";
		pm8550vs_c_gpios = "/fragment@8/__overlay__/qcom,pm8550vs@2/pinctrl@8800";
		pm8550vs_c_temp_alarm = "/fragment@9/__overlay__/pm8550vs_c_tz";
		pm8550vs_c_trip0 = "/fragment@9/__overlay__/pm8550vs_c_tz/trips/trip0";
		pm8550vs_c_trip1 = "/fragment@9/__overlay__/pm8550vs_c_tz/trips/trip1";
		pm8550vs_c_trip2 = "/fragment@9/__overlay__/pm8550vs_c_tz/trips/trip2";
		pm8550vs_c_tz = "/fragment@8/__overlay__/qcom,pm8550vs@2/pm8550vs-c-temp-alarm@a00";
		pm8550vs_d = "/fragment@8/__overlay__/qcom,pm8550vs@3";
		pm8550vs_d_gpios = "/fragment@8/__overlay__/qcom,pm8550vs@3/pinctrl@8800";
		pm8550vs_d_temp_alarm = "/fragment@9/__overlay__/pm8550vs_d_tz";
		pm8550vs_d_trip0 = "/fragment@9/__overlay__/pm8550vs_d_tz/trips/trip0";
		pm8550vs_d_trip1 = "/fragment@9/__overlay__/pm8550vs_d_tz/trips/trip1";
		pm8550vs_d_trip2 = "/fragment@9/__overlay__/pm8550vs_d_tz/trips/trip2";
		pm8550vs_d_tz = "/fragment@8/__overlay__/qcom,pm8550vs@3/pm8550vs-d-temp-alarm@a00";
		pm8550vs_e = "/fragment@8/__overlay__/qcom,pm8550vs@4";
		pm8550vs_e_gpios = "/fragment@8/__overlay__/qcom,pm8550vs@4/pinctrl@8800";
		pm8550vs_e_temp_alarm = "/fragment@9/__overlay__/pm8550vs_e_tz";
		pm8550vs_e_trip0 = "/fragment@9/__overlay__/pm8550vs_e_tz/trips/trip0";
		pm8550vs_e_trip1 = "/fragment@9/__overlay__/pm8550vs_e_tz/trips/trip1";
		pm8550vs_e_trip2 = "/fragment@9/__overlay__/pm8550vs_e_tz/trips/trip2";
		pm8550vs_e_tz = "/fragment@8/__overlay__/qcom,pm8550vs@4/pm8550vs-e-temp-alarm@a00";
		pm8550vs_g = "/fragment@8/__overlay__/qcom,pm8550vs@6";
		pm8550vs_g_gpios = "/fragment@8/__overlay__/qcom,pm8550vs@6/pinctrl@8800";
		pm8550vs_g_temp_alarm = "/fragment@9/__overlay__/pm8550vs_g_tz";
		pm8550vs_g_trip0 = "/fragment@9/__overlay__/pm8550vs_g_tz/trips/trip0";
		pm8550vs_g_trip1 = "/fragment@9/__overlay__/pm8550vs_g_tz/trips/trip1";
		pm8550vs_g_trip2 = "/fragment@9/__overlay__/pm8550vs_g_tz/trips/trip2";
		pm8550vs_g_tz = "/fragment@8/__overlay__/qcom,pm8550vs@6/pm8550vs-g-temp-alarm@a00";
		pmk8550_gpios = "/fragment@10/__overlay__/qcom,pmk8550@0/pinctrl@b800";
		pmk8550_pwm_1 = "/fragment@10/__overlay__/qcom,pmk8550@0/qcom,pwms@e800";
		pmk8550_pwm_2 = "/fragment@10/__overlay__/qcom,pmk8550@0/qcom,pwms@e900";
		pmk8550_rtc = "/fragment@10/__overlay__/qcom,pmk8550@0/rtc@6100";
		pmk8550_sdam_1 = "/fragment@10/__overlay__/qcom,pmk8550@0/sdam@7000";
		pmk8550_sdam_13 = "/fragment@10/__overlay__/qcom,pmk8550@0/sdam@7c00";
		pmk8550_sdam_14 = "/fragment@10/__overlay__/qcom,pmk8550@0/sdam@7d00";
		pmk8550_sdam_2 = "/fragment@10/__overlay__/qcom,pmk8550@0/sdam@7100";
		pmk8550_sdam_21 = "/fragment@10/__overlay__/qcom,pmk8550@0/sdam@8400";
		pmk8550_sdam_22 = "/fragment@10/__overlay__/qcom,pmk8550@0/sdam@8500";
		pmk8550_sdam_41 = "/fragment@10/__overlay__/qcom,pmk8550@0/sdam@9800";
		pmk8550_sdam_43 = "/fragment@10/__overlay__/qcom,pmk8550@0/sdam@9a00";
		pmk8550_sdam_46 = "/fragment@10/__overlay__/qcom,pmk8550@0/sdam@9d00";
		pmk8550_sdam_5 = "/fragment@10/__overlay__/qcom,pmk8550@0/sdam@7400";
		pmk8550_sdam_6 = "/fragment@10/__overlay__/qcom,pmk8550@0/sdam@7500";
		pmk8550_sdam_71 = "/fragment@10/__overlay__/qcom,pmk8550@0/sdam@b600";
		pmk8550_vadc = "/fragment@10/__overlay__/qcom,pmk8550@0/vadc@9000";
		pmr735d_gpios = "/fragment@11/__overlay__/qcom,pmr735d@a/pinctrl@8800";
		pmr735d_temp_alarm = "/fragment@12/__overlay__/pmr735d_tz";
		pmr735d_trip0 = "/fragment@12/__overlay__/pmr735d_tz/trips/trip0";
		pmr735d_trip1 = "/fragment@12/__overlay__/pmr735d_tz/trips/trip1";
		pmr735d_trip2 = "/fragment@12/__overlay__/pmr735d_tz/trips/trip2";
		pmr735d_tz = "/fragment@11/__overlay__/qcom,pmr735d@a/pmr735d-temp-alarm@a00";
		regulator_ocp_notifier = "/fragment@14/__overlay__/regulator-ocp-notifier";
		restart_reason = "/fragment@10/__overlay__/qcom,pmk8550@0/sdam@7100/restart@48";
		sd_card_det_default = "/fragment@2/__overlay__/qcom,pm8550@1/pinctrl@8800/sd_card_det/sd_card_det_default";
		smb1510_present = "/fragment@10/__overlay__/qcom,pmk8550@0/sdam@7000/smb1510_present@5d";
		socd_trip = "/fragment@5/__overlay__/socd/trips/socd-trip";
		st21nfc = "/fragment@30/__overlay__/st21nfc@08";
		usb_mode = "/fragment@10/__overlay__/qcom,pmk8550@0/sdam@b600/usb-mode@50";
		usb_port0 = "/fragment@21/__overlay__/port/endpoint";
		usb_port0_connector = "/fragment@22/__overlay__/connector/port/endpoint";
		wifi_ant_switch = "/fragment@25/__overlay__/cnss_pins/wifi_ant_switch";
		wlan_kiwi = "/fragment@27/__overlay__/qcom,cnss-kiwi@b0000000";
		xo_config0 = "/fragment@13/__overlay__/xo-therm/trips/xo-config0";
		xo_config1 = "/fragment@13/__overlay__/xo-therm/trips/xo-config1";
	};

	fragment@0 {
		target = <0xffffffff>;

		__overlay__ {
			#address-cells = <0x2>;
			#interrupt-cells = <0x4>;
			#size-cells = <0x0>;
			interrupt-controller;

			qcom,pm8010@c {
				#address-cells = <0x1>;
				#size-cells = <0x0>;
				compatible = "qcom,spmi-pmic";
				phandle = <0x31>;
				reg = <0xc 0x0>;

				pm8010m-temp-alarm@2400 {
					#thermal-sensor-cells = <0x0>;
					compatible = "qcom,spmi-temp-alarm";
					interrupts = <0xc 0x24 0x0 0x3>;
					phandle = <0x1>;
					reg = <0x2400>;
				};
			};

			qcom,pm8010@d {
				#address-cells = <0x1>;
				#size-cells = <0x0>;
				compatible = "qcom,spmi-pmic";
				phandle = <0x32>;
				reg = <0xd 0x0>;

				pm8010n-temp-alarm@2400 {
					#thermal-sensor-cells = <0x0>;
					compatible = "qcom,spmi-temp-alarm";
					interrupts = <0xd 0x24 0x0 0x3>;
					phandle = <0x2>;
					reg = <0x2400>;
				};
			};
		};
	};

	fragment@1 {
		target = <0xffffffff>;

		__overlay__ {

			pm8010m_tz {
				polling-delay = <0x0>;
				polling-delay-passive = <0x64>;
				thermal-governor = "step_wise";
				thermal-sensors = <0x1>;

				trips {

					trip0 {
						hysteresis = <0x0>;
						temperature = <0x17318>;
						type = "passive";
					};

					trip1 {
						hysteresis = <0x0>;
						temperature = <0x1c138>;
						type = "critical";
					};

					trip2 {
						hysteresis = <0x0>;
						temperature = <0x23668>;
						type = "critical";
					};
				};
			};

			pm8010n_tz {
				polling-delay = <0x0>;
				polling-delay-passive = <0x64>;
				thermal-governor = "step_wise";
				thermal-sensors = <0x2>;

				trips {

					trip0 {
						hysteresis = <0x0>;
						temperature = <0x17318>;
						type = "passive";
					};

					trip1 {
						hysteresis = <0x0>;
						temperature = <0x1c138>;
						type = "critical";
					};

					trip2 {
						hysteresis = <0x0>;
						temperature = <0x23668>;
						type = "critical";
					};
				};
			};
		};
	};

	fragment@10 {
		target = <0xffffffff>;

		__overlay__ {
			#address-cells = <0x2>;
			#interrupt-cells = <0x4>;
			#size-cells = <0x0>;
			interrupt-controller;

			qcom,pmk8550@0 {
				#address-cells = <0x1>;
				#size-cells = <0x0>;
				compatible = "qcom,spmi-pmic";
				reg = <0x0 0x0>;

				pinctrl@b800 {
					#gpio-cells = <0x2>;
					#interrupt-cells = <0x2>;
					compatible = "qcom,pmk8550-gpio";
					gpio-controller;
					interrupt-controller;
					phandle = <0x74>;
					pinctrl-0 = <0x13>;
					pinctrl-names = "default";
					reg = <0xb800>;

					alt_sleep_clk {

						alt_sleep_clk_default {
							bias-disable;
							function = "func1";
							input-disable;
							output-enable;
							phandle = <0x13>;
							pins = "gpio3";
							power-source = <0x0>;
						};
					};
				};

				pon_hlos@1300 {
					compatible = "qcom,pm8998-pon";
					reg = <0x1300 0x800>;
					reg-names = "pon_hlos", "pon_pbs";

					pwrkey {
						compatible = "qcom,pmk8350-pwrkey";
						interrupts = <0x0 0x13 0x7 0x3>;
						linux,code = <0x74>;
					};

					resin {
						compatible = "qcom,pmk8350-resin";
						interrupts = <0x0 0x13 0x6 0x3>;
						linux,code = <0x72>;
					};
				};

				qcom,pwms@e800 {
					#pwm-cells = <0x2>;
					compatible = "qcom,pwm-lpg";
					phandle = <0x75>;
					qcom,num-lpg-channels = <0x1>;
					reg = <0xe800>;
					reg-names = "lpg-base";
					status = "disabled";
				};

				qcom,pwms@e900 {
					#pwm-cells = <0x2>;
					compatible = "qcom,pwm-lpg";
					phandle = <0x76>;
					qcom,num-lpg-channels = <0x1>;
					reg = <0xe900>;
					reg-names = "lpg-base";
					status = "disabled";
				};

				rtc@6100 {
					compatible = "qcom,pmk8350-rtc";
					interrupts = <0x0 0x62 0x1 0x1>;
					phandle = <0x77>;
					reg = <0x6100 0x6200>;
					reg-names = "rtc", "alarm";
				};

				sdam@7000 {
					#address-cells = <0x1>;
					#size-cells = <0x1>;
					compatible = "qcom,spmi-sdam";
					phandle = <0x6a>;
					reg = <0x7000>;

					ocp-log@76 {
						phandle = <0x19>;
						reg = <0x76 0x6>;
					};

					smb1510_present@5d {
						bits = <0x5 0x5>;
						phandle = <0x6b>;
						reg = <0x5d 0x1>;
					};
				};

				sdam@7100 {
					#address-cells = <0x1>;
					#size-cells = <0x1>;
					compatible = "qcom,spmi-sdam";
					phandle = <0x6c>;
					reg = <0x7100>;

					alarm-log@76 {
						phandle = <0x1a>;
						reg = <0x76 0x6>;
					};

					restart@48 {
						bits = <0x1 0x7>;
						phandle = <0x15>;
						reg = <0x48 0x1>;
					};
				};

				sdam@7400 {
					compatible = "qcom,spmi-sdam";
					phandle = <0x17>;
					reg = <0x7400>;
				};

				sdam@7500 {
					compatible = "qcom,spmi-sdam";
					phandle = <0x18>;
					reg = <0x7500>;
				};

				sdam@7c00 {
					compatible = "qcom,spmi-sdam";
					phandle = <0x6d>;
					reg = <0x7c00>;
				};

				sdam@7d00 {
					compatible = "qcom,spmi-sdam";
					phandle = <0x6e>;
					reg = <0x7d00>;
				};

				sdam@8400 {
					compatible = "qcom,spmi-sdam";
					phandle = <0x4>;
					reg = <0x8400>;
				};

				sdam@8500 {
					compatible = "qcom,spmi-sdam";
					phandle = <0x5>;
					reg = <0x8500>;
				};

				sdam@9800 {
					compatible = "qcom,spmi-sdam";
					phandle = <0x6f>;
					reg = <0x9800>;
				};

				sdam@9a00 {
					#address-cells = <0x1>;
					#size-cells = <0x1>;
					compatible = "qcom,spmi-sdam";
					phandle = <0x70>;
					reg = <0x9a00>;

					sqm-timer@b8 {
						phandle = <0x71>;
						reg = <0xb8 0x2>;
					};
				};

				sdam@9d00 {
					compatible = "qcom,spmi-sdam";
					phandle = <0x9>;
					reg = <0x9d00>;
				};

				sdam@b600 {
					compatible = "qcom,spmi-sdam";
					phandle = <0x72>;
					reg = <0xb600>;

					usb-mode@50 {
						phandle = <0x73>;
						reg = <0x50 0x1>;
					};
				};

				vadc@9000 {
					#address-cells = <0x1>;
					#io-channel-cells = <0x1>;
					#size-cells = <0x0>;
					#thermal-sensor-cells = <0x1>;
					compatible = "qcom,spmi-adc5-gen3";
					interrupt-names = "adc-sdam0", "adc-sdam1";
					interrupts = <0x0 0x90 0x1 0x1 0x0 0x91 0x1 0x1>;
					io-channel-ranges;
					phandle = <0x3>;
					qcom,debug-base = <0x7600>;
					reg = <0x9000 0x9100>;

					pm8550_cam_flash_therm {
						label = "pm8550_cam_flash_therm";
						qcom,adc-tm-type = <0x1>;
						qcom,hw-settle-time = <0xc8>;
						qcom,pre-scaling = <0x1 0x1>;
						qcom,ratiometric;
						reg = <0x145>;
					};

					pm8550_die_temp {
						label = "pm8550_die_temp";
						qcom,pre-scaling = <0x1 0x1>;
						reg = <0x103>;
					};

					pm8550_msm_therm {
						label = "pm8550_msm_therm";
						qcom,adc-tm-type = <0x1>;
						qcom,hw-settle-time = <0xc8>;
						qcom,pre-scaling = <0x1 0x1>;
						qcom,ratiometric;
						reg = <0x144>;
					};

					pm8550_offset_ref {
						label = "pm8550_offset_ref";
						qcom,pre-scaling = <0x1 0x1>;
						reg = <0x100>;
					};

					pm8550_pa_therm1 {
						label = "pm8550_pa_therm_1";
						qcom,adc-tm-type = <0x1>;
						qcom,hw-settle-time = <0xc8>;
						qcom,pre-scaling = <0x1 0x1>;
						qcom,ratiometric;
						reg = <0x147>;
					};

					pm8550_rear_tof_therm {
						label = "pm8550_rear_tof_therm";
						qcom,adc-tm-type = <0x1>;
						qcom,hw-settle-time = <0xc8>;
						qcom,pre-scaling = <0x1 0x1>;
						qcom,ratiometric;
						reg = <0x148>;
					};

					pm8550_vph_pwr {
						label = "pm8550_vph_pwr";
						qcom,pre-scaling = <0x1 0x3>;
						reg = <0x18e>;
					};

					pm8550_vref_1p25 {
						label = "pm8550_vref_1p25";
						qcom,pre-scaling = <0x1 0x1>;
						reg = <0x101>;
					};

					pm8550_wlan_therm {
						label = "pm8550_wlan_therm";
						qcom,adc-tm-type = <0x1>;
						qcom,hw-settle-time = <0xc8>;
						qcom,pre-scaling = <0x1 0x1>;
						qcom,ratiometric;
						reg = <0x146>;
					};

					pm8550b_chg_temp {
						label = "pm8550b_chg_temp";
						reg = <0x710>;
					};

					pm8550b_die_temp {
						label = "pm8550b_die_temp";
						qcom,pre-scaling = <0x1 0x1>;
						reg = <0x703>;
					};

					pm8550b_ichg_fb {
						label = "pm8550b_ichg_fb";
						reg = <0x7a1>;
					};

					pm8550b_iin_fb {
						label = "pm8550b_iin_fb";
						reg = <0x717>;
					};

					pm8550b_lite_die_temp {
						label = "pm8550b_lite_die_temp";
						qcom,pre-scaling = <0x1 0x1>;
						reg = <0x718>;
					};

					pm8550b_offset_ref {
						label = "pm8550b_offset_ref";
						qcom,pre-scaling = <0x1 0x1>;
						reg = <0x700>;
					};

					pm8550b_usb_therm {
						label = "pm8550b_usb_therm";
						qcom,adc-tm-type = <0x1>;
						qcom,hw-settle-time = <0xc8>;
						qcom,pre-scaling = <0x1 0x1>;
						qcom,ratiometric;
						reg = <0x747>;
					};

					pm8550b_vbat_sns_qbg {
						label = "pm8550b_vbat_sns_qbg";
						qcom,pre-scaling = <0x1 0x3>;
						reg = <0x78f>;
					};

					pm8550b_vph_pwr {
						label = "pm8550b_vph_pwr";
						qcom,pre-scaling = <0x1 0x3>;
						reg = <0x78e>;
					};

					pm8550b_vref_1p25 {
						label = "pm8550b_vref_1p25";
						qcom,pre-scaling = <0x1 0x1>;
						reg = <0x701>;
					};

					pm8550b_wls_therm {
						label = "pm8550b_wls_therm";
						qcom,adc-tm-type = <0x1>;
						qcom,pre-scaling = <0x1 0x1>;
						qcom,ratiometric;
						reg = <0x749>;
					};

					pm8550ve_die_temp {
						label = "pm8550ve_die_temp";
						qcom,pre-scaling = <0x1 0x1>;
						reg = <0x803>;
					};

					pm8550vs_c_die_temp {
						label = "pm8550vs_c_die_temp";
						qcom,pre-scaling = <0x1 0x1>;
						reg = <0x203>;
					};

					pm8550vs_d_die_temp {
						label = "pm8550vs_d_die_temp";
						qcom,pre-scaling = <0x1 0x1>;
						reg = <0x303>;
					};

					pm8550vs_e_die_temp {
						label = "pm8550vs_e_die_temp";
						qcom,pre-scaling = <0x1 0x1>;
						reg = <0x403>;
					};

					pm8550vs_g_die_temp {
						label = "pm8550vs_g_die_temp";
						qcom,pre-scaling = <0x1 0x1>;
						reg = <0x603>;
					};

					pmk8550_die_temp {
						label = "pmk8550_die_temp";
						qcom,pre-scaling = <0x1 0x1>;
						reg = <0x3>;
					};

					pmk8550_offset_ref {
						label = "pmk8550_offset_ref";
						qcom,pre-scaling = <0x1 0x1>;
						reg = <0x0>;
					};

					pmk8550_vref_1p25 {
						label = "pmk8550_vref_1p25";
						qcom,pre-scaling = <0x1 0x1>;
						reg = <0x1>;
					};

					pmk8550_xo_therm {
						label = "pmk8550_xo_therm";
						qcom,adc-tm-type = <0x1>;
						qcom,hw-settle-time = <0xc8>;
						qcom,pre-scaling = <0x1 0x1>;
						qcom,ratiometric;
						reg = <0x44>;
					};
				};
			};
		};
	};

	fragment@11 {
		target = <0xffffffff>;

		__overlay__ {
			#address-cells = <0x2>;
			#interrupt-cells = <0x4>;
			#size-cells = <0x0>;
			interrupt-controller;

			qcom,pmr735d@a {
				#address-cells = <0x1>;
				#size-cells = <0x0>;
				compatible = "qcom,spmi-pmic";
				reg = <0xa 0x0>;

				pinctrl@8800 {
					#gpio-cells = <0x2>;
					#interrupt-cells = <0x2>;
					compatible = "qcom,pmr735d-gpio";
					gpio-controller;
					interrupt-controller;
					phandle = <0x78>;
					reg = <0x8800>;
				};

				pmr735d-temp-alarm@a00 {
					#thermal-sensor-cells = <0x0>;
					compatible = "qcom,spmi-temp-alarm";
					interrupts = <0xa 0xa 0x0 0x3>;
					phandle = <0x14>;
					reg = <0xa00>;
				};
			};
		};
	};

	fragment@12 {
		target = <0xffffffff>;

		__overlay__ {

			pmr735d_tz {
				phandle = <0x79>;
				polling-delay = <0x0>;
				polling-delay-passive = <0x64>;
				thermal-governor = "step_wise";
				thermal-sensors = <0x14>;

				trips {

					trip0 {
						hysteresis = <0x0>;
						phandle = <0x7a>;
						temperature = <0x17318>;
						type = "passive";
					};

					trip1 {
						hysteresis = <0x0>;
						phandle = <0x7b>;
						temperature = <0x1c138>;
						type = "passive";
					};

					trip2 {
						hysteresis = <0x0>;
						phandle = <0x7c>;
						temperature = <0x23668>;
						type = "critical";
					};
				};
			};
		};
	};

	fragment@13 {
		target = <0xffffffff>;

		__overlay__ {

			cam-flash-therm {
				polling-delay = <0x0>;
				polling-delay-passive = <0x0>;
				thermal-sensors = <0x3 0x145>;

				trips {

					active-config0 {
						hysteresis = <0x3e8>;
						temperature = <0x1e848>;
						type = "passive";
					};

					active-config1 {
						hysteresis = <0x3e8>;
						temperature = <0x1e848>;
						type = "passive";
					};
				};
			};

			pa-therm-1 {
				polling-delay = <0x0>;
				polling-delay-passive = <0x0>;
				thermal-sensors = <0x3 0x147>;

				trips {

					active-config0 {
						hysteresis = <0x3e8>;
						temperature = <0x1e848>;
						type = "passive";
					};

					active-config1 {
						hysteresis = <0x3e8>;
						temperature = <0x1e848>;
						type = "passive";
					};
				};
			};

			rear-tof-therm {
				polling-delay = <0x0>;
				polling-delay-passive = <0x0>;
				thermal-sensors = <0x3 0x148>;

				trips {

					active-config0 {
						hysteresis = <0x3e8>;
						temperature = <0x1e848>;
						type = "passive";
					};

					active-config1 {
						hysteresis = <0x3e8>;
						temperature = <0x1e848>;
						type = "passive";
					};
				};
			};

			skin-msm-therm {
				polling-delay = <0x0>;
				polling-delay-passive = <0x0>;
				thermal-sensors = <0x3 0x144>;

				trips {

					active-config0 {
						hysteresis = <0x3e8>;
						temperature = <0x1e848>;
						type = "passive";
					};

					active-config1 {
						hysteresis = <0x3e8>;
						temperature = <0x1e848>;
						type = "passive";
					};
				};
			};

			usb-therm {
				polling-delay = <0x0>;
				polling-delay-passive = <0x0>;
				thermal-sensors = <0x3 0x747>;

				trips {

					active-config0 {
						hysteresis = <0x3e8>;
						temperature = <0x1e848>;
						type = "passive";
					};

					active-config1 {
						hysteresis = <0x3e8>;
						temperature = <0x1e848>;
						type = "passive";
					};
				};
			};

			wlan-therm {
				polling-delay = <0x0>;
				polling-delay-passive = <0x0>;
				thermal-sensors = <0x3 0x146>;

				trips {

					active-config0 {
						hysteresis = <0x3e8>;
						temperature = <0x1e848>;
						type = "passive";
					};

					active-config1 {
						hysteresis = <0x3e8>;
						temperature = <0x1e848>;
						type = "passive";
					};
				};
			};

			wls-therm {
				polling-delay = <0x0>;
				polling-delay-passive = <0x0>;
				thermal-sensors = <0x3 0x749>;

				trips {

					active-config0 {
						hysteresis = <0x3e8>;
						temperature = <0x1e848>;
						type = "passive";
					};

					active-config1 {
						hysteresis = <0x3e8>;
						temperature = <0x1e848>;
						type = "passive";
					};
				};
			};

			xo-therm {
				polling-delay = <0x0>;
				polling-delay-passive = <0x0>;
				thermal-sensors = <0x3 0x44>;

				trips {

					active-config0 {
						hysteresis = <0x3e8>;
						temperature = <0x1e848>;
						type = "passive";
					};

					active-config1 {
						hysteresis = <0x3e8>;
						temperature = <0x1e848>;
						type = "passive";
					};

					display-test-config1 {
						hysteresis = <0x3e8>;
						phandle = <0x28>;
						temperature = <0x1e848>;
						type = "passive";
					};

					display-test-config2 {
						hysteresis = <0x3e8>;
						phandle = <0x29>;
						temperature = <0x1e848>;
						type = "passive";
					};

					display-test-config3 {
						hysteresis = <0x3e8>;
						phandle = <0x2a>;
						temperature = <0x1e848>;
						type = "passive";
					};

					display-test-config4 {
						hysteresis = <0x3e8>;
						phandle = <0x2b>;
						temperature = <0x1e848>;
						type = "passive";
					};

					xo-config0 {
						hysteresis = <0x1f40>;
						phandle = <0x26>;
						temperature = <0x130b0>;
						type = "passive";
					};

					xo-config1 {
						hysteresis = <0x2710>;
						phandle = <0x27>;
						temperature = <0x13880>;
						type = "passive";
					};
				};
			};
		};
	};

	fragment@14 {
		target = <0xffffffff>;

		__overlay__ {

			pmic-pon-log {
				compatible = "qcom,pmic-pon-log";
				depends-on-supply = <0xffffffff>;
				nvmem = <0x17 0x18>;
				nvmem-names = "pon_log0", "pon_log1";
			};

			reboot_reason {
				compatible = "qcom,reboot-reason";
				nvmem-cell-names = "restart_reason";
				nvmem-cells = <0x15>;
			};

			regulator-dbo3 {
				compatible = "qti-regulator-fixed";
				enable-active-high;
				gpio = <0x16 0x9 0x0>;
				phandle = <0x7d>;
				regulator-enable-ramp-delay = <0x5dc>;
				regulator-max-microvolt = <0x36ee80>;
				regulator-min-microvolt = <0x36ee80>;
				regulator-name = "dbo3";
			};

			regulator-ocp-notifier {
				compatible = "qcom,regulator-ocp-notifier";
				interrupt-parent = <0xffffffff>;
				interrupts = <0x0 0x71 0x1 0x1 0x0 0x85 0x1 0x1>;
				nvmem-cell-names = "ocp_log", "alarm_log";
				nvmem-cells = <0x19 0x1a>;
				periph-1c1-supply = <0xffffffff>;
				periph-1c2-supply = <0xffffffff>;
				periph-1c5-supply = <0xffffffff>;
				periph-1c6-supply = <0xffffffff>;
				periph-1c7-supply = <0xffffffff>;
				periph-1c8-supply = <0xffffffff>;
				periph-1c9-supply = <0xffffffff>;
				periph-1ca-supply = <0xffffffff>;
				periph-1cb-supply = <0xffffffff>;
				periph-1cc-supply = <0xffffffff>;
				periph-1cd-supply = <0xffffffff>;
				periph-1ce-supply = <0xffffffff>;
				periph-1cf-supply = <0xffffffff>;
				periph-1d0-supply = <0xffffffff>;
				periph-1d1-supply = <0xffffffff>;
				periph-1e4-supply = <0xffffffff>;
				periph-1e6-supply = <0xffffffff>;
				periph-29b-supply = <0xffffffff>;
				periph-29e-supply = <0xffffffff>;
				periph-2a1-supply = <0xffffffff>;
				periph-2a4-supply = <0xffffffff>;
				periph-2a7-supply = <0xffffffff>;
				periph-2aa-supply = <0xffffffff>;
				periph-2c1-supply = <0xffffffff>;
				periph-2c2-supply = <0xffffffff>;
				periph-2c3-supply = <0xffffffff>;
				periph-3a1-supply = <0xffffffff>;
				periph-3a4-supply = <0xffffffff>;
				periph-3a7-supply = <0xffffffff>;
				periph-3c1-supply = <0xffffffff>;
				periph-3c2-supply = <0xffffffff>;
				periph-3c3-supply = <0xffffffff>;
				periph-4c2-supply = <0xffffffff>;
				periph-4c3-supply = <0xffffffff>;
				periph-69b-supply = <0xffffffff>;
				periph-6a1-supply = <0xffffffff>;
				periph-6a4-supply = <0xffffffff>;
				periph-6a7-supply = <0xffffffff>;
				periph-6c1-supply = <0xffffffff>;
				periph-6c2-supply = <0xffffffff>;
				periph-6c3-supply = <0xffffffff>;
				periph-89b-supply = <0xffffffff>;
				periph-8a1-supply = <0xffffffff>;
				periph-8a4-supply = <0xffffffff>;
				periph-8a7-supply = <0xffffffff>;
				periph-8aa-supply = <0xffffffff>;
				periph-8b0-supply = <0xffffffff>;
				periph-8c1-supply = <0xffffffff>;
				periph-8c2-supply = <0xffffffff>;
				periph-8c3-supply = <0xffffffff>;
				periph-ac1-supply = <0xffffffff>;
				periph-ac2-supply = <0xffffffff>;
				periph-ac3-supply = <0xffffffff>;
				periph-ac4-supply = <0xffffffff>;
				periph-ac5-supply = <0xffffffff>;
				periph-ac6-supply = <0xffffffff>;
				periph-ac7-supply = <0xffffffff>;
				periph-c40-supply = <0xffffffff>;
				periph-c41-supply = <0xffffffff>;
				periph-c42-supply = <0xffffffff>;
				periph-c43-supply = <0xffffffff>;
				periph-c44-supply = <0xffffffff>;
				periph-c45-supply = <0xffffffff>;
				periph-c46-supply = <0xffffffff>;
				periph-d40-supply = <0xffffffff>;
				periph-d41-supply = <0xffffffff>;
				periph-d42-supply = <0xffffffff>;
				periph-d43-supply = <0xffffffff>;
				periph-d44-supply = <0xffffffff>;
				periph-d45-supply = <0xffffffff>;
				periph-d46-supply = <0xffffffff>;
				phandle = <0x7e>;
			};
		};
	};

	fragment@15 {
		target = <0xffffffff>;

		__overlay__ {

			pm8550-bcl-lvl0 {

				cooling-maps {

					vph_cdsp0 {
						cooling-device = <0xffffffff 0x2 0x2>;
						trip = <0x1f>;
					};

					vph_gpu0 {
						cooling-device = <0xffffffff 0x2 0x2>;
						trip = <0x1f>;
					};

					vph_modem0 {
						cooling-device = <0xffffffff 0x1 0x1>;
						trip = <0x1f>;
					};
				};
			};

			pm8550-bcl-lvl1 {

				cooling-maps {

					vph_cdsp1 {
						cooling-device = <0xffffffff 0x4 0x4>;
						trip = <0x20>;
					};

					vph_gpu1 {
						cooling-device = <0xffffffff 0x4 0x4>;
						trip = <0x20>;
					};

					vph_modem1 {
						cooling-device = <0xffffffff 0x2 0x2>;
						trip = <0x20>;
					};
				};
			};

			pm8550-bcl-lvl2 {

				cooling-maps {

					vph_cdsp2 {
						cooling-device = <0xffffffff 0x5 0xffffffff>;
						trip = <0x21>;
					};

					vph_gpu2 {
						cooling-device = <0xffffffff 0x5 0xffffffff>;
						trip = <0x21>;
					};
				};
			};

			pm8550b-bcl-lvl0 {

				cooling-maps {

					lbat_cdsp0 {
						cooling-device = <0xffffffff 0x2 0x2>;
						trip = <0x1c>;
					};

					lbat_gpu0 {
						cooling-device = <0xffffffff 0x2 0x2>;
						trip = <0x1c>;
					};

					lbat_modem0 {
						cooling-device = <0xffffffff 0x1 0x1>;
						trip = <0x1c>;
					};
				};
			};

			pm8550b-bcl-lvl1 {

				cooling-maps {

					lbat_cdsp1 {
						cooling-device = <0xffffffff 0x4 0x4>;
						trip = <0x1d>;
					};

					lbat_gpu1 {
						cooling-device = <0xffffffff 0x4 0x4>;
						trip = <0x1d>;
					};

					lbat_modem1 {
						cooling-device = <0xffffffff 0x2 0x2>;
						trip = <0x1d>;
					};
				};
			};

			pm8550b-bcl-lvl2 {

				cooling-maps {

					lbat_cdsp2 {
						cooling-device = <0xffffffff 0x5 0xffffffff>;
						trip = <0x1e>;
					};

					lbat_gpu2 {
						cooling-device = <0xffffffff 0x5 0xffffffff>;
						trip = <0x1e>;
					};
				};
			};

			pm8550ve_tz {

				cooling-maps {

					pm8550ve_nsp {
						cooling-device = <0xffffffff 0x5 0xffffffff>;
						trip = <0x25>;
					};
				};
			};

			pm8550vs_d_tz {

				cooling-maps {

					pm8550vs_d_gpu {
						cooling-device = <0xffffffff 0x5 0xffffffff>;
						trip = <0x23>;
					};
				};
			};

			pm8550vs_e_tz {

				cooling-maps {

					pm8550vs_e_apc1 {
						cooling-device = <0xffffffff 0x1 0x1>;
						trip = <0x22>;
					};

					pm8550vs_e_apc2 {
						cooling-device = <0xffffffff 0x1 0x1>;
						trip = <0x22>;
					};
				};
			};

			pm8550vs_g_tz {

				cooling-maps {

					pm8550vs_g_nsp {
						cooling-device = <0xffffffff 0x5 0xffffffff>;
						trip = <0x24>;
					};
				};
			};

			socd {

				cooling-maps {

					socd_cdsp1 {
						cooling-device = <0xffffffff 0x4 0x4>;
						trip = <0x1b>;
					};

					socd_gpu0 {
						cooling-device = <0xffffffff 0x4 0x4>;
						trip = <0x1b>;
					};
				};
			};

			xo-therm {

				cooling-maps {

					apc1_cdev {
						cooling-device = <0xffffffff 0x1 0x1>;
						trip = <0x26>;
					};

					cdsp_cdev {
						cooling-device = <0xffffffff 0x5 0xffffffff>;
						trip = <0x26>;
					};

					cpu3_hot_cdev {
						cooling-device = <0xffffffff 0x1 0x1>;
						trip = <0x27>;
					};

					cpu4_hot_cdev {
						cooling-device = <0xffffffff 0x1 0x1>;
						trip = <0x27>;
					};

					cpu5_hot_cdev {
						cooling-device = <0xffffffff 0x1 0x1>;
						trip = <0x27>;
					};

					cpu6_hot_cdev {
						cooling-device = <0xffffffff 0x1 0x1>;
						trip = <0x27>;
					};

					cpu7_hot_cdev {
						cooling-device = <0xffffffff 0x1 0x1>;
						trip = <0x27>;
					};

					display_cdev1 {
						cooling-device = <0xffffffff 0x1 0x1>;
						trip = <0x28>;
					};

					display_cdev2 {
						cooling-device = <0xffffffff 0x2 0x2>;
						trip = <0x29>;
					};

					display_cdev3 {
						cooling-device = <0xffffffff 0x3 0x3>;
						trip = <0x2a>;
					};

					display_cdev4 {
						cooling-device = <0xffffffff 0x4 0x4>;
						trip = <0x2b>;
					};

					lte_cdev {
						cooling-device = <0xffffffff 0xff 0xff>;
						trip = <0x27>;
					};

					nr_cdev {
						cooling-device = <0xffffffff 0xff 0xff>;
						trip = <0x27>;
					};
				};
			};
		};
	};

	fragment@16 {
		target = <0xffffffff>;

		__overlay__ {
			cd-gpios = <0x16 0xc 0x1>;
			pinctrl-0 = <0xffffffff 0x2c>;
			pinctrl-1 = <0xffffffff 0x2c>;
			pinctrl-names = "default", "sleep";
			qcom,iommu-dma = "fastmap";
			qcom,uses_level_shifter;
			qcom,vdd-current-level = <0x0 0xc3500>;
			qcom,vdd-io-current-level = <0x0 0x2710>;
			qcom,vdd-io-voltage-level = <0x1b7740 0x2d2a80>;
			qcom,vdd-voltage-level = <0x2d0370 0x2d2a80>;
			reset-names = "core_reset";
			resets = <0xffffffff 0x17>;
			status = "ok";
			vdd-io-supply = <0xffffffff>;
			vdd-supply = <0xffffffff>;
		};
	};

	fragment@17 {
		target = <0xffffffff>;

		__overlay__ {

			gpio_keys {
				compatible = "gpio-keys";
				label = "gpio-keys";
				pinctrl-0 = <0x2d>;
				pinctrl-names = "default";

				vol_up {
					debounce-interval = <0xf>;
					gpio-key,wakeup;
					gpios = <0x16 0x6 0x1>;
					label = "volume_up";
					linux,can-disable;
					linux,code = <0x73>;
					linux,input-type = <0x1>;
				};
			};
		};
	};

	fragment@18 {
		target = <0xffffffff>;

		__overlay__ {
			compatible = "qcom,ufs-phy-qmp-v4-pineapple";
			status = "ok";
			vdd-phy-gdsc-supply = <0xffffffff>;
			vdda-phy-max-microamp = <0x33838>;
			vdda-phy-min-microvolt = <0xdea80>;
			vdda-phy-supply = <0xffffffff>;
			vdda-pll-max-microamp = <0x477c>;
			vdda-pll-supply = <0xffffffff>;
			vdda-qref-max-microamp = <0xfbf4>;
			vdda-qref-supply = <0xffffffff>;
		};
	};

	fragment@19 {
		target = <0xffffffff>;

		__overlay__ {
			qcom,vccq-parent-max-microamp = <0x33450>;
			qcom,vccq-parent-supply = <0xffffffff>;
			qcom,vddp-ref-clk-max-microamp = <0x64>;
			qcom,vddp-ref-clk-supply = <0xffffffff>;
			reset-gpios = <0xffffffff 0xd2 0x1>;
			reset-names = "rst";
			resets = <0xffffffff 0x19>;
			status = "ok";
			vcc-max-microamp = <0x13d620>;
			vcc-supply = <0xffffffff>;
			vccq-max-microamp = <0x124f80>;
			vccq-supply = <0xffffffff>;
			vdd-hba-supply = <0xffffffff>;
		};
	};

	fragment@2 {
		target = <0xffffffff>;

		__overlay__ {
			#address-cells = <0x2>;
			#interrupt-cells = <0x4>;
			#size-cells = <0x0>;
			interrupt-controller;

			qcom,pm8550@1 {
				#address-cells = <0x1>;
				#size-cells = <0x0>;
				compatible = "qcom,spmi-pmic";
				reg = <0x1 0x0>;

				bcl@4700 {
					#thermal-sensor-cells = <0x1>;
					compatible = "qcom,bcl-v5";
					interrupt-names = "bcl-lvl0", "bcl-lvl1", "bcl-lvl2";
					interrupts = <0x1 0x47 0x0 0x0 0x1 0x47 0x1 0x0 0x1 0x47 0x2 0x0>;
					phandle = <0x8>;
					qcom,pmic7-threshold;
					reg = <0x4700 0x100>;
				};

				pinctrl@8800 {
					#gpio-cells = <0x2>;
					#interrupt-cells = <0x2>;
					compatible = "qcom,pm8550-gpio";
					gpio-controller;
					interrupt-controller;
					phandle = <0x16>;
					reg = <0x8800>;

					key_vol_up {

						key_vol_up_default {
							bias-pull-up;
							function = "normal";
							input-enable;
							phandle = <0x2d>;
							pins = "gpio6";
							power-source = <0x1>;
						};
					};

					sd_card_det {

						sd_card_det_default {
							bias-pull-up;
							function = "normal";
							input-enable;
							output-disable;
							phandle = <0x2c>;
							pins = "gpio12";
							power-source = <0x1>;
						};
					};
				};

				pm8550-temp-alarm@a00 {
					#thermal-sensor-cells = <0x0>;
					compatible = "qcom,spmi-temp-alarm";
					interrupts = <0x1 0xa 0x0 0x3>;
					io-channel-names = "thermal";
					io-channels = <0x3 0x103>;
					phandle = <0x7>;
					reg = <0xa00>;
				};

				pwms@e800 {
					#pwm-cells = <0x2>;
					compatible = "qcom,pwm-lpg";
					nvmem = <0x4 0x5>;
					nvmem-names = "lpg_chan_sdam", "lut_sdam";
					phandle = <0x6>;
					qcom,lut-patterns = <0x0 0xa 0x14 0x1e 0x28 0x32 0x3c 0x46 0x50 0x5a 0x64 0x5a 0x50 0x46 0x3c 0x32 0x28 0x1e 0x14 0xa 0x0>;
					qcom,lut-sdam-base = <0x45>;
					qcom,num-lpg-channels = <0x3>;
					qcom,tick-duration-us = <0x1e78>;
					reg = <0xe800>;
					reg-names = "lpg-base";

					lpg@1 {
						qcom,lpg-chan-id = <0x1>;
						qcom,lpg-sdam-base = <0x48>;
						qcom,ramp-high-index = <0x13>;
						qcom,ramp-low-index = <0x0>;
						qcom,ramp-pattern-repeat;
						qcom,ramp-step-ms = <0x64>;
					};

					lpg@2 {
						qcom,lpg-chan-id = <0x2>;
						qcom,lpg-sdam-base = <0x56>;
						qcom,ramp-high-index = <0x13>;
						qcom,ramp-low-index = <0x0>;
						qcom,ramp-pattern-repeat;
						qcom,ramp-step-ms = <0x64>;
					};

					lpg@3 {
						qcom,lpg-chan-id = <0x3>;
						qcom,lpg-sdam-base = <0x64>;
						qcom,ramp-high-index = <0x13>;
						qcom,ramp-low-index = <0x0>;
						qcom,ramp-pattern-repeat;
						qcom,ramp-step-ms = <0x64>;
					};
				};

				pwms@eb00 {
					compatible = "qcom,pwm-lpg";
					phandle = <0x33>;
					pwm-cells = <0x2>;
					qcom,num-lpg-channels = <0x1>;
					reg = <0xeb00>;
					reg-names = "lpg-base";
				};

				qcom,flash_led@ee00 {
					compatible = "qcom,pm8350c-flash-led";
					interrupt-names = "led-fault-irq", "all-ramp-down-done-irq", "all-ramp-up-done-irq";
					interrupts = <0x1 0xee 0x0 0x1 0x1 0xee 0x3 0x1 0x1 0xee 0x4 0x1>;
					phandle = <0x35>;
					qcom,thermal-derate-current = <0xc8 0x1f4>;
					reg = <0xee00>;
					status = "ok";

					qcom,flash_0 {
						label = "flash";
						phandle = <0x36>;
						qcom,default-led-trigger = "flash0_trigger";
						qcom,duration-ms = <0x500>;
						qcom,id = <0x0>;
						qcom,ires-ua = <0x30d4>;
						qcom,led-name = "led:flash_0";
						qcom,max-current-ma = <0x5dc>;
					};

					qcom,flash_1 {
						label = "flash";
						phandle = <0x37>;
						qcom,default-led-trigger = "flash1_trigger";
						qcom,duration-ms = <0x500>;
						qcom,id = <0x1>;
						qcom,ires-ua = <0x30d4>;
						qcom,led-name = "led:flash_1";
						qcom,max-current-ma = <0x5dc>;
					};

					qcom,flash_2 {
						label = "flash";
						phandle = <0x38>;
						qcom,default-led-trigger = "flash2_trigger";
						qcom,duration-ms = <0x500>;
						qcom,id = <0x2>;
						qcom,ires-ua = <0x30d4>;
						qcom,led-name = "led:flash_2";
						qcom,max-current-ma = <0x5dc>;
					};

					qcom,flash_3 {
						label = "flash";
						phandle = <0x39>;
						qcom,default-led-trigger = "flash3_trigger";
						qcom,duration-ms = <0x500>;
						qcom,id = <0x3>;
						qcom,ires-ua = <0x30d4>;
						qcom,led-name = "led:flash_3";
						qcom,max-current-ma = <0x5dc>;
					};

					qcom,led_switch_0 {
						label = "switch";
						phandle = <0x3e>;
						qcom,default-led-trigger = "switch0_trigger";
						qcom,led-mask = <0x9>;
						qcom,led-name = "led:switch_0";
						qcom,symmetry-en;
					};

					qcom,led_switch_1 {
						label = "switch";
						phandle = <0x3f>;
						qcom,default-led-trigger = "switch1_trigger";
						qcom,led-mask = <0x6>;
						qcom,led-name = "led:switch_1";
						qcom,symmetry-en;
					};

					qcom,led_switch_2 {
						label = "switch";
						phandle = <0x40>;
						qcom,default-led-trigger = "switch2_trigger";
						qcom,led-mask = <0xf>;
						qcom,led-name = "led:switch_2";
						qcom,symmetry-en;
					};

					qcom,torch_0 {
						label = "torch";
						phandle = <0x3a>;
						qcom,default-led-trigger = "torch0_trigger";
						qcom,id = <0x0>;
						qcom,ires-ua = <0x30d4>;
						qcom,led-name = "led:torch_0";
						qcom,max-current-ma = <0x1f4>;
					};

					qcom,torch_1 {
						label = "torch";
						phandle = <0x3b>;
						qcom,default-led-trigger = "torch1_trigger";
						qcom,id = <0x1>;
						qcom,ires-ua = <0x30d4>;
						qcom,led-name = "led:torch_1";
						qcom,max-current-ma = <0x1f4>;
					};

					qcom,torch_2 {
						label = "torch";
						phandle = <0x3c>;
						qcom,default-led-trigger = "torch2_trigger";
						qcom,id = <0x2>;
						qcom,ires-ua = <0x30d4>;
						qcom,led-name = "led:torch_2";
						qcom,max-current-ma = <0x1f4>;
					};

					qcom,torch_3 {
						label = "torch";
						phandle = <0x3d>;
						qcom,default-led-trigger = "torch3_trigger";
						qcom,id = <0x3>;
						qcom,ires-ua = <0x30d4>;
						qcom,led-name = "led:torch_3";
						qcom,max-current-ma = <0x1f4>;
					};
				};

				qcom,leds@ef00 {
					compatible = "qcom,tri-led";
					phandle = <0x34>;
					reg = <0xef00>;

					blue {
						label = "blue";
						led-sources = <0x2>;
						linux,default-trigger = "timer";
						pwms = <0x6 0x2 0xf4240>;
					};

					green {
						label = "green";
						led-sources = <0x1>;
						linux,default-trigger = "timer";
						pwms = <0x6 0x1 0xf4240>;
					};

					red {
						label = "red";
						led-sources = <0x0>;
						linux,default-trigger = "timer";
						pwms = <0x6 0x0 0xf4240>;
					};
				};
			};
		};
	};

	fragment@20 {
		target = <0xffffffff>;

		__overlay__ {
			dummy-supply = <0x2e>;
			usb-repeater = <0x2e>;
		};
	};

	fragment@21 {
		target = <0xffffffff>;

		__overlay__ {
			usb-role-switch;

			port {

				endpoint {
					phandle = <0x30>;
					remote-endpoint = <0x2f>;
				};
			};
		};
	};

	fragment@22 {
		target = <0xffffffff>;

		__overlay__ {

			connector {

				port {

					endpoint {
						phandle = <0x2f>;
						remote-endpoint = <0x30>;
					};
				};
			};
		};
	};

	fragment@23 {
		target = <0xffffffff>;

		__overlay__ {
			#address-cells = <0x1>;
			#size-cells = <0x0>;
			qcom,la-vm;
			qcom,touch-active = "goodix,gt9916S";
			status = "ok";

			goodix-berlin@0 {
				avdd-supply = <0xffffffff>;
				compatible = "goodix,gt9916S";
				goodix,avdd-name = "avdd";
				goodix,config-name = "goodix_cfg_group_spi.bin";
				goodix,firmware-name = "goodix_firmware_spi.bin";
				goodix,iovdd-name = "iovdd";
				goodix,irq-flags = <0x2>;
				goodix,irq-gpio = <0xffffffff 0xa2 0x2008>;
				goodix,panel-max-p = <0x1000>;
				goodix,panel-max-w = <0xff>;
				goodix,panel-max-x = <0x438>;
				goodix,panel-max-y = <0x960>;
				goodix,qts_en;
				goodix,reset-gpio = <0xffffffff 0xa1 0x0>;
				goodix,touch-type = "primary";
				interrupt-parent = <0xffffffff>;
				interrupts = <0xa2 0x2008>;
				iovdd-supply = <0xffffffff>;
				qts,touch-environment = "pvm";
				qts,trusted-touch-io-bases = <0xa90000>;
				qts,trusted-touch-io-sizes = <0x1000>;
				qts,trusted-touch-mode = "vm_mode";
				qts,trusted-touch-spi-irq = <0x256>;
				qts,trusted-touch-type = "primary";
				qts,trusted-touch-vm-gpio-list = <0xffffffff 0x30 0x0 0xffffffff 0x31 0x0 0xffffffff 0x32 0x0 0xffffffff 0x33 0x0 0xffffffff 0xa1 0x0 0xffffffff 0xa2 0x2008>;
				reg = <0x0>;
				spi-max-frequency = <0xf4240>;
			};
		};
	};

	fragment@24 {
		target = <0xffffffff>;

		__overlay__ {
			#address-cells = <0x1>;
			#size-cells = <0x0>;
			qcom,la-vm;
			qcom,touch-active = "goodix,gt9916S2";
			status = "ok";

			goodix-berlin@0 {
				avdd-supply = <0xffffffff>;
				compatible = "goodix,gt9916S2";
				goodix,avdd-name = "avdd";
				goodix,config-name = "goodix_cfg_group_spi.bin";
				goodix,firmware-name = "goodix_firmware_spi.bin";
				goodix,iovdd-name = "iovdd";
				goodix,irq-flags = <0x2>;
				goodix,irq-gpio = <0xffffffff 0x58 0x2008>;
				goodix,panel-max-p = <0x1000>;
				goodix,panel-max-w = <0xff>;
				goodix,panel-max-x = <0x438>;
				goodix,panel-max-y = <0x960>;
				goodix,qts_en;
				goodix,reset-gpio = <0xffffffff 0x5b 0x0>;
				goodix,touch-type = "secondary";
				interrupt-parent = <0xffffffff>;
				interrupts = <0x58 0x2008>;
				iovdd-supply = <0xffffffff>;
				qts,touch-environment = "pvm";
				qts,trusted-touch-io-bases = <0xa90000>;
				qts,trusted-touch-io-sizes = <0x1000>;
				qts,trusted-touch-mode = "vm_mode";
				qts,trusted-touch-spi-irq = <0x291>;
				qts,trusted-touch-type = "secondary";
				qts,trusted-touch-vm-gpio-list = <0xffffffff 0x3c 0x0 0xffffffff 0x3d 0x0 0xffffffff 0x3e 0x0 0xffffffff 0x3f 0x0 0xffffffff 0x5b 0x0 0xffffffff 0x58 0x2008>;
				reg = <0x0>;
				spi-max-frequency = <0xf4240>;
			};
		};
	};

	fragment@25 {
		target = <0xffffffff>;

		__overlay__ {

			cnss_pins {

				cnss_wlan_en_active {
					phandle = <0x7f>;

					config {
						bias-pull-up;
						drive-strength = <0x10>;
						output-high;
						pins = "gpio16";
					};

					mux {
						function = "gpio";
						pins = "gpio16";
					};
				};

				cnss_wlan_en_sleep {
					phandle = <0x80>;

					config {
						bias-pull-down;
						drive-strength = <0x2>;
						output-low;
						pins = "gpio16";
					};

					mux {
						function = "gpio";
						pins = "gpio16";
					};
				};

				wifi_ant_switch {
					phandle = <0x81>;

					config {
						bias-pull-up;
						output-high;
						pins = "gpio140";
					};

					mux {
						function = "gpio";
						pins = "gpio140";
					};
				};
			};
		};
	};

	fragment@26 {
		target = <0xffffffff>;

		__overlay__ {

			cnss_wlan_region {
				alignment = <0x0 0x400000>;
				alloc-ranges = <0x0 0x0 0x0 0xffffffff>;
				compatible = "shared-dma-pool";
				phandle = <0x83>;
				reusable;
				size = <0x0 0x2000000>;
			};
		};
	};

	fragment@27 {
		target = <0xffffffff>;

		__overlay__ {

			qcom,cnss-kiwi@b0000000 {
				cnss-enable-self-recovery;
				compatible = "qcom,cnss-kiwi";
				interconnect-names = "pcie_to_memnoc", "memnoc_to_ddr";
				interconnects = <0xffffffff 0x2f 0xffffffff 0x239 0xffffffff 0x1b 0xffffffff 0x200>;
				mpm_wake_set_gpios = <0x12 0x13>;
				phandle = <0x84>;
				pinctrl-0 = <0x7f>;
				pinctrl-1 = <0x80>;
				pinctrl-2 = <0x81>;
				pinctrl-names = "wlan_en_active", "wlan_en_sleep", "wifi_ant_gpio";
				qcom,bt-en-gpio = <0xffffffff 0x11 0x0>;
				qcom,bus-bw-cfg = <0x0 0x0 0x8ca 0x186a00 0x1d4c 0x186a00 0x7530 0x186a00 0x186a0 0x186a00 0x2ab98 0x626380 0x4c4b4 0x626380 0x8f6ec 0x822080 0x1d4c 0x30d400 0x0 0x0 0x8ca 0x216600 0x1d4c 0x216600 0x7530 0x216600 0x186a0 0x216600 0x2ab98 0x5eec00 0x4c4b4 0x7faf80 0x8f6ec 0xc35000 0x1d4c 0x216600>;
				qcom,bus-bw-cfg-count = <0x9>;
				qcom,icc-path-count = <0x2>;
				qcom,pdc_init_table = "{class: wlan_pdc, ss: rf, res: s3c.v, upval: 916}", "{class: wlan_pdc, ss: rf, res: s3c.v, dwnval: 612}", "{class: wlan_pdc, ss: rf, res: s1c.v, upval: 1316}", "{class: wlan_pdc, ss: rf, res: s1c.v, dwnval: 944}", "{class: wlan_pdc, ss: rf, res: s6c.v, upval: 1864}", "{class: wlan_pdc, ss: rf, res: s6c.v, dwnval: 1820}", "{class: wlan_pdc, ss: bb, res: s2c.v, upval: 976}", "{class: wlan_pdc, ss: bb, res: s2c.v, dwnval: 512}", "{class: wlan_pdc, ss: bb, res: s4i.v, upval: 940}", "{class: wlan_pdc, ss: bb, res: s4i.v, dwnval: 420}";
				qcom,pmu_vreg_map = "VDD095_MX_PMU", "s2c", "VDD095_PMU", "s4i", "VDD_PMU_AON_I", "s3c", "VDD095_PMU_BT", "s3c", "VDD09_PMU_RFA_I", "s3c", "VDD13_PMU_PCIE_I", "s1c", "VDD13_PMU_RFA_I", "s1c", "VDD19_PMU_PCIE_I", "s6c", "VDD19_PMU_RFA_I", "s6c";
				qcom,qmp = <0xffffffff>;
				qcom,same-dt-multi-dev;
				qcom,sw-ctrl-gpio = <0xffffffff 0x12 0x0>;
				qcom,vdd-wlan-ant-share-config = <0x1b7740 0x1b7740 0x0 0x0 0x1>;
				qcom,vdd-wlan-aon-config = <0xee480 0xee480 0x0 0x0 0x1>;
				qcom,vdd-wlan-config = <0xe57e0 0xe57e0 0x0 0x0 0x1>;
				qcom,vdd-wlan-dig-config = <0xdfa20 0xdfa20 0x0 0x0 0x1>;
				qcom,vdd-wlan-io-config = <0x1b7740 0x1b7740 0x0 0x0 0x1>;
				qcom,vdd-wlan-io12-config = <0x124f80 0x124f80 0x0 0x0 0x1>;
				qcom,vdd-wlan-rfa1-config = <0x1c7140 0x1c7140 0x0 0x0 0x1>;
				qcom,vdd-wlan-rfa2-config = <0x1414a0 0x1414a0 0x0 0x0 0x1>;
				qcom,vreg_pdc_map = "s3c", "rf", "l15B", "rf", "l3c", "rf", "s1c", "rf", "s6c", "rf", "s2c", "bb", "s4i", "bb";
				qcom,wlan;
				qcom,wlan-cbc-enabled;
				qcom,wlan-ramdump-dynamic = <0x780000>;
				qcom,wlan-rc-num = <0x0>;
				qcom,wlan-sw-ctrl-gpio = <0xffffffff 0x13 0x0>;
				reg = <0xb0000000 0x10000>;
				reg-names = "smmu_iova_ipa";
				supported-ids = <0x1107>;
				use-pm-domain;
				vdd-wlan-ant-share-supply = <0xffffffff>;
				vdd-wlan-aon-supply = <0xffffffff>;
				vdd-wlan-dig-supply = <0xffffffff>;
				vdd-wlan-io-supply = <0xffffffff>;
				vdd-wlan-io12-supply = <0xffffffff>;
				vdd-wlan-rfa1-supply = <0xffffffff>;
				vdd-wlan-rfa2-supply = <0xffffffff>;
				vdd-wlan-supply = <0xffffffff>;
				wlan-asus_ant_140 = <0xffffffff 0x8c 0x0>;
				wlan-en-gpio = <0xffffffff 0x10 0x0>;
			};
		};
	};

	fragment@28 {
		target = <0xffffffff>;

		__overlay__ {
			#address-cells = <0x5>;
			#size-cells = <0x0>;

			cnss_pci0 {
				#address-cells = <0x1>;
				#size-cells = <0x1>;
				memory-region = <0x83>;
				phandle = <0x85>;
				qcom,iommu-group = <0x82>;
				reg = <0x0 0x0 0x0 0x0 0x0>;

				cnss_pci_iommu_group0 {
					phandle = <0x82>;
					qcom,iommu-dma = "fastmap";
					qcom,iommu-dma-addr-pool = <0x98000000 0x18000000>;
					qcom,iommu-faults = "stall-disable", "HUPCF", "non-fatal";
					qcom,iommu-geometry = <0x98000000 0x18010000>;
					qcom,iommu-msi-size = <0x1000>;
					qcom,iommu-pagetable = "coherent";
				};
			};
		};
	};

	fragment@29 {
		target = <0xffffffff>;

		__overlay__ {

			qcom,hw-fence {
				compatible = "qcom,msm-hw-fence";
				phandle = <0x86>;
				qcom,hw-fence-client-type-dpu = <0x6 0x2 0x80 0x1>;
				qcom,hw-fence-client-type-ife0 = <0x1 0x1 0x80 0x1>;
				qcom,hw-fence-client-type-ife0-extra = <0x14 0x1c 0x1 0x1>;
				qcom,hw-fence-client-type-ipe = <0x1 0x2 0x320 0x0>;
				qcom,hw-fence-client-type-vpu = <0x1 0x2 0x320 0x0>;
				qcom,hw-fence-ipc-ver = <0x20003>;
				qcom,hw-fence-queue-entries = <0x320>;
				qcom,hw-fence-table-entries = <0x2000>;
				qcom,ipcc-reg = <0x400000 0x200000>;
				qcom,qtime-reg = <0xc221000 0x1000>;
				status = "ok";

				hw_fence@0 {
					compatible = "qcom,msm-hw-fence-db";
					gunyah-label = <0x6>;
					peer-name = <0x3>;
					qcom,master;
				};

				hw_fence@1 {
					compatible = "qcom,msm-hw-fence-mem";
					gunyah-label = <0x5>;
					peer-name = <0x3>;
					qcom,master;
					shared-buffer = <0xffffffff>;
				};
			};
		};
	};

	fragment@3 {
		target = <0xffffffff>;

		__overlay__ {

			pm8550-bcl-lvl0 {
				polling-delay = <0x0>;
				polling-delay-passive = <0x64>;
				thermal-governor = "step_wise";
				thermal-sensors = <0x8 0x5>;

				trips {

					bcl-lvl0 {
						hysteresis = <0x1>;
						phandle = <0x1f>;
						temperature = <0x1>;
						type = "passive";
					};
				};
			};

			pm8550-bcl-lvl1 {
				polling-delay = <0x0>;
				polling-delay-passive = <0x64>;
				thermal-governor = "step_wise";
				thermal-sensors = <0x8 0x6>;

				trips {

					bcl-lvl1 {
						hysteresis = <0x1>;
						phandle = <0x20>;
						temperature = <0x1>;
						type = "passive";
					};
				};
			};

			pm8550-bcl-lvl2 {
				polling-delay = <0x0>;
				polling-delay-passive = <0x64>;
				thermal-governor = "step_wise";
				thermal-sensors = <0x8 0x7>;

				trips {

					bcl-lvl2 {
						hysteresis = <0x1>;
						phandle = <0x21>;
						temperature = <0x1>;
						type = "passive";
					};
				};
			};

			pm8550_tz {
				phandle = <0x41>;
				polling-delay = <0x0>;
				polling-delay-passive = <0x64>;
				thermal-governor = "step_wise";
				thermal-sensors = <0x7>;

				trips {

					trip0 {
						hysteresis = <0x0>;
						phandle = <0x42>;
						temperature = <0x17318>;
						type = "passive";
					};

					trip1 {
						hysteresis = <0x0>;
						phandle = <0x43>;
						temperature = <0x1c138>;
						type = "passive";
					};

					trip2 {
						hysteresis = <0x0>;
						phandle = <0x44>;
						temperature = <0x23668>;
						type = "critical";
					};
				};
			};
		};
	};

	fragment@30 {
		target = <0xffffffff>;

		__overlay__ {
			#address-cells = <0x1>;
			#size-cells = <0x0>;
			qcom,clk-freq-out = <0xf4240>;
			status = "ok";

			st21nfc@08 {
				clkreq-gpios = <0xffffffff 0x23 0x0>;
				compatible = "st,st21nfc";
				interrupt-names = "nfc_irq";
				interrupt-parent = <0xffffffff>;
				interrupts = <0x4b 0x0>;
				irq-gpios = <0xffffffff 0x4b 0x0>;
				phandle = <0x87>;
				pinctrl-0 = <0xffffffff 0xffffffff>;
				pinctrl-1 = <0xffffffff 0xffffffff>;
				pinctrl-names = "nfc_active", "nfc_suspend";
				reg = <0x8>;
				reset-gpios = <0xffffffff 0x22 0x0>;
			};
		};
	};

	fragment@4 {
		target = <0xffffffff>;

		__overlay__ {
			#address-cells = <0x2>;
			#interrupt-cells = <0x4>;
			#size-cells = <0x0>;
			interrupt-controller;

			qcom,pm8550b@7 {
				#address-cells = <0x1>;
				#size-cells = <0x0>;
				compatible = "qcom,spmi-pmic";
				reg = <0x7 0x0>;

				bcl-soc {
					#thermal-sensor-cells = <0x0>;
					compatible = "qcom,msm-bcl-soc";
					phandle = <0xd>;
				};

				bcl@4700 {
					#thermal-sensor-cells = <0x1>;
					compatible = "qcom,bcl-v5";
					interrupt-names = "bcl-lvl0", "bcl-lvl1", "bcl-lvl2";
					interrupts = <0x7 0x47 0x0 0x0 0x7 0x47 0x1 0x0 0x7 0x47 0x2 0x0>;
					phandle = <0xc>;
					qcom,pmic7-threshold;
					reg = <0x4700 0x100>;
				};

				pinctrl@8800 {
					#gpio-cells = <0x2>;
					#interrupt-cells = <0x2>;
					compatible = "qcom,pm8550b-gpio";
					gpio-controller;
					interrupt-controller;
					phandle = <0x45>;
					reg = <0x8800>;

					aura_vdd_en {

						aura_vdd_en_default {
							function = "normal";
							input-disable;
							output-enable;
							phandle = <0x46>;
							pins = "gpio9";
							power-source = <0x1>;
							qcom,drive-strength = <0x2>;
						};
					};
				};

				pm8550b-temp-alarm-lite@c00 {
					#thermal-sensor-cells = <0x0>;
					compatible = "qcom,spmi-temp-alarm";
					interrupts = <0x7 0xc 0x0 0x3>;
					io-channel-names = "thermal";
					io-channels = <0x3 0x718>;
					phandle = <0xb>;
					reg = <0xc00>;
				};

				pm8550b-temp-alarm@a00 {
					#thermal-sensor-cells = <0x0>;
					compatible = "qcom,spmi-temp-alarm";
					interrupts = <0x7 0xa 0x0 0x3>;
					io-channel-names = "thermal";
					io-channels = <0x3 0x703>;
					phandle = <0xa>;
					reg = <0xa00>;
				};

				qcom,eusb2-repeater@fd00 {
					compatible = "qcom,pmic-eusb2-repeater";
					phandle = <0x2e>;
					reg = <0xfd00>;
					vdd18-supply = <0xffffffff>;
					vdd3-supply = <0xffffffff>;
				};

				qcom,hv-haptics@f000 {
					compatible = "qcom,hv-haptics";
					interrupt-names = "fifo-empty";
					interrupts = <0x7 0xf0 0x1 0x1>;
					nvmem = <0x9>;
					nvmem-names = "hap_cfg_sdam";
					phandle = <0x47>;
					qcom,brake-mode = <0x1>;
					qcom,brake-pattern = [ff 3f 1f];
					qcom,brake-sig-shape = <0x1>;
					qcom,drv-sig-shape = <0x1>;
					qcom,lra-period-us = <0x1a0b>;
					qcom,vmax-mv = <0xe10>;
					reg = <0xf000 0xf100 0xf200>;

					effect_0 {
						qcom,effect-id = <0x0>;
						qcom,wf-auto-res-disable;
						qcom,wf-brake-pattern = [00 00 00];
						qcom,wf-pattern-data = <0x1f 0x0 0x0 0x3f 0x0 0x0 0x5f 0x0 0x0 0x7f 0x0 0x0 0x17f 0x0 0x0 0x15f 0x0 0x0 0x13f 0x0 0x0 0x11f 0x0 0x0>;
						qcom,wf-pattern-period-us = <0x1a0b>;
						qcom,wf-pattern-preload;
						qcom,wf-vmax-mv = <0xe10>;
					};

					effect_1 {
						qcom,effect-id = <0x1>;
						qcom,wf-auto-res-disable;
						qcom,wf-brake-pattern = [00 00 00];
						qcom,wf-pattern-data = <0x1f 0x0 0x0 0x3f 0x0 0x0 0x5f 0x0 0x0 0x7f 0x0 0x0 0x17f 0x0 0x0 0x15f 0x0 0x0 0x13f 0x0 0x0 0x11f 0x0 0x0>;
						qcom,wf-pattern-period-us = <0x1a0b>;
						qcom,wf-vmax-mv = <0xe10>;
					};

					effect_2 {
						qcom,effect-id = <0x2>;
						qcom,wf-auto-res-disable;
						qcom,wf-brake-pattern = [00 00 00];
						qcom,wf-pattern-data = <0x1f 0x0 0x0 0x3f 0x0 0x0 0x5f 0x0 0x0 0x7f 0x0 0x0 0x17f 0x0 0x0 0x15f 0x0 0x0 0x13f 0x0 0x0 0x11f 0x0 0x0>;
						qcom,wf-pattern-period-us = <0x1a0b>;
						qcom,wf-vmax-mv = <0xe10>;
					};

					effect_3 {
						qcom,effect-id = <0x3>;
						qcom,wf-auto-res-disable;
						qcom,wf-brake-pattern = [00 00 00];
						qcom,wf-pattern-data = <0x1f 0x0 0x0 0x3f 0x0 0x0 0x5f 0x0 0x0 0x7f 0x0 0x0 0x17f 0x0 0x0 0x15f 0x0 0x0 0x13f 0x0 0x0 0x11f 0x0 0x0>;
						qcom,wf-pattern-period-us = <0x1a0b>;
						qcom,wf-vmax-mv = <0xe10>;
					};

					effect_4 {
						qcom,effect-id = <0x4>;
						qcom,wf-auto-res-disable;
						qcom,wf-brake-pattern = [00 00 00];
						qcom,wf-pattern-data = <0x1f 0x0 0x0 0x3f 0x0 0x0 0x5f 0x0 0x0 0x7f 0x0 0x0 0x17f 0x0 0x0 0x15f 0x0 0x0 0x13f 0x0 0x0 0x11f 0x0 0x0>;
						qcom,wf-pattern-period-us = <0x1a0b>;
						qcom,wf-vmax-mv = <0xe10>;
					};

					effect_5 {
						qcom,effect-id = <0x5>;
						qcom,wf-auto-res-disable;
						qcom,wf-brake-pattern = [00 00 00];
						qcom,wf-pattern-data = <0x1f 0x0 0x0 0x3f 0x0 0x0 0x5f 0x0 0x0 0x7f 0x0 0x0 0x17f 0x0 0x0 0x15f 0x0 0x0 0x13f 0x0 0x0 0x11f 0x0 0x0>;
						qcom,wf-pattern-period-us = <0x1a0b>;
						qcom,wf-vmax-mv = <0xe10>;
					};

					primitive_0 {
						qcom,primitive-id = <0x0>;
						qcom,wf-auto-res-disable;
						qcom,wf-brake-pattern = [00 00 00];
						qcom,wf-pattern-data = <0x0 0x0 0x0 0x0 0x0 0x0>;
						qcom,wf-pattern-period-us = <0x1a0b>;
						qcom,wf-vmax-mv = <0xe10>;
					};

					primitive_1 {
						qcom,primitive-id = <0x1>;
						qcom,wf-auto-res-disable;
						qcom,wf-brake-pattern = [00 00 00];
						qcom,wf-pattern-data = <0xff 0x0 0x0 0x7f 0x0 0x0>;
						qcom,wf-pattern-period-us = <0x1a0b>;
						qcom,wf-vmax-mv = <0xe10>;
					};

					primitive_2 {
						qcom,primitive-id = <0x2>;
						qcom,wf-auto-res-disable;
						qcom,wf-brake-pattern = [00 00 00];
						qcom,wf-pattern-data = <0xff 0x0 0x0 0x7f 0x0 0x0>;
						qcom,wf-pattern-period-us = <0x1a0b>;
						qcom,wf-vmax-mv = <0xe10>;
					};

					primitive_3 {
						qcom,primitive-id = <0x3>;
						qcom,wf-auto-res-disable;
						qcom,wf-brake-pattern = [00 00 00];
						qcom,wf-pattern-data = <0xff 0x0 0x0 0x7f 0x0 0x0>;
						qcom,wf-pattern-period-us = <0x1a0b>;
						qcom,wf-vmax-mv = <0xe10>;
					};

					primitive_4 {
						qcom,primitive-id = <0x4>;
						qcom,wf-auto-res-disable;
						qcom,wf-brake-pattern = [00 00 00];
						qcom,wf-pattern-data = <0xff 0x0 0x0 0x7f 0x0 0x0>;
						qcom,wf-pattern-period-us = <0x1a0b>;
						qcom,wf-vmax-mv = <0xe10>;
					};

					primitive_5 {
						qcom,primitive-id = <0x5>;
						qcom,wf-auto-res-disable;
						qcom,wf-brake-pattern = [00 00 00];
						qcom,wf-pattern-data = <0xff 0x0 0x0 0x7f 0x0 0x0>;
						qcom,wf-pattern-period-us = <0x1a0b>;
						qcom,wf-vmax-mv = <0xe10>;
					};

					primitive_6 {
						qcom,primitive-id = <0x6>;
						qcom,wf-auto-res-disable;
						qcom,wf-brake-pattern = [00 00 00];
						qcom,wf-pattern-data = <0xff 0x0 0x0 0x7f 0x0 0x0>;
						qcom,wf-pattern-period-us = <0x1a0b>;
						qcom,wf-vmax-mv = <0xe10>;
					};

					primitive_7 {
						qcom,primitive-id = <0x7>;
						qcom,wf-auto-res-disable;
						qcom,wf-brake-pattern = [00 00 00];
						qcom,wf-pattern-data = <0xff 0x0 0x0 0x7f 0x0 0x0>;
						qcom,wf-pattern-period-us = <0x1a0b>;
						qcom,wf-vmax-mv = <0xe10>;
					};

					primitive_8 {
						qcom,primitive-id = <0x8>;
						qcom,wf-auto-res-disable;
						qcom,wf-brake-pattern = [00 00 00];
						qcom,wf-pattern-data = <0xff 0x0 0x0 0x7f 0x0 0x0>;
						qcom,wf-pattern-period-us = <0x1a0b>;
						qcom,wf-vmax-mv = <0xe10>;
					};

					qcom,hap-swr-slave-reg {
						phandle = <0x48>;
						regulator-name = "hap-swr-slave-reg";
					};
				};
			};
		};
	};

	fragment@5 {
		target = <0xffffffff>;

		__overlay__ {

			pm8550b-bcl-lvl0 {
				polling-delay = <0x0>;
				polling-delay-passive = <0x64>;
				thermal-sensors = <0xc 0x5>;

				trips {

					b-bcl-lvl0 {
						hysteresis = <0x1>;
						phandle = <0x1c>;
						temperature = <0x1>;
						type = "passive";
					};

					thermal-engine-trip {
						hysteresis = <0x0>;
						temperature = <0x64>;
						type = "passive";
					};

					thermal-hal-trip {
						hysteresis = <0x0>;
						temperature = <0x64>;
						type = "passive";
					};
				};
			};

			pm8550b-bcl-lvl1 {
				polling-delay = <0x0>;
				polling-delay-passive = <0x64>;
				thermal-sensors = <0xc 0x6>;

				trips {

					b-bcl-lvl1 {
						hysteresis = <0x1>;
						phandle = <0x1d>;
						temperature = <0x1>;
						type = "passive";
					};

					thermal-engine-trip {
						hysteresis = <0x0>;
						temperature = <0x64>;
						type = "passive";
					};

					thermal-hal-trip {
						hysteresis = <0x0>;
						temperature = <0x64>;
						type = "passive";
					};
				};
			};

			pm8550b-bcl-lvl2 {
				polling-delay = <0x0>;
				polling-delay-passive = <0x64>;
				thermal-sensors = <0xc 0x7>;

				trips {

					b-bcl-lvl2 {
						hysteresis = <0x1>;
						phandle = <0x1e>;
						temperature = <0x1>;
						type = "passive";
					};

					thermal-engine-trip {
						hysteresis = <0x0>;
						temperature = <0x64>;
						type = "passive";
					};

					thermal-hal-trip {
						hysteresis = <0x0>;
						temperature = <0x64>;
						type = "passive";
					};
				};
			};

			pm8550b-ibat-lvl0 {
				polling-delay = <0x0>;
				polling-delay-passive = <0x0>;
				thermal-sensors = <0xc 0x0>;

				trips {

					ibat-lvl0 {
						hysteresis = <0xc8>;
						phandle = <0x4e>;
						temperature = <0x2710>;
						type = "passive";
					};
				};
			};

			pm8550b-ibat-lvl1 {
				polling-delay = <0x0>;
				polling-delay-passive = <0x0>;
				thermal-sensors = <0xc 0x1>;

				trips {

					ibat-lvl1 {
						hysteresis = <0xc8>;
						phandle = <0x4f>;
						temperature = <0x2cec>;
						type = "passive";
					};
				};
			};

			pm8550b_lite_tz {
				phandle = <0x4d>;
				polling-delay = <0x0>;
				polling-delay-passive = <0x64>;
				thermal-governor = "step_wise";
				thermal-sensors = <0xb>;

				trips {

					trip0 {
						hysteresis = <0x0>;
						temperature = <0x1e848>;
						type = "passive";
					};

					trip1 {
						hysteresis = <0x0>;
						temperature = <0x20f58>;
						type = "passive";
					};

					trip2 {
						hysteresis = <0x0>;
						temperature = <0x23668>;
						type = "critical";
					};
				};
			};

			pm8550b_tz {
				phandle = <0x49>;
				polling-delay = <0x0>;
				polling-delay-passive = <0x64>;
				thermal-governor = "step_wise";
				thermal-sensors = <0xa>;

				trips {

					trip0 {
						hysteresis = <0x0>;
						phandle = <0x4a>;
						temperature = <0x17318>;
						type = "passive";
					};

					trip1 {
						hysteresis = <0x0>;
						phandle = <0x4b>;
						temperature = <0x1c138>;
						type = "passive";
					};

					trip2 {
						hysteresis = <0x0>;
						phandle = <0x4c>;
						temperature = <0x23668>;
						type = "critical";
					};
				};
			};

			socd {
				polling-delay = <0x0>;
				polling-delay-passive = <0x64>;
				thermal-sensors = <0xd>;

				trips {

					socd-trip {
						hysteresis = <0x0>;
						phandle = <0x1b>;
						temperature = <0x5f>;
						type = "passive";
					};

					thermal-engine-trip {
						hysteresis = <0x0>;
						temperature = <0x64>;
						type = "passive";
					};

					thermal-hal-trip {
						hysteresis = <0x0>;
						temperature = <0x64>;
						type = "passive";
					};
				};
			};
		};
	};

	fragment@6 {
		target = <0xffffffff>;

		__overlay__ {
			#address-cells = <0x2>;
			#interrupt-cells = <0x4>;
			#size-cells = <0x0>;
			interrupt-controller;

			qcom,pm8550ve@8 {
				#address-cells = <0x1>;
				#size-cells = <0x0>;
				compatible = "qcom,spmi-pmic";
				phandle = <0x50>;
				reg = <0x8 0x0>;

				pinctrl@8800 {
					#gpio-cells = <0x2>;
					#interrupt-cells = <0x2>;
					compatible = "qcom,pm8550ve-gpio";
					gpio-controller;
					interrupt-controller;
					phandle = <0x51>;
					reg = <0x8800>;
				};

				pm8550ve-temp-alarm@a00 {
					#thermal-sensor-cells = <0x0>;
					compatible = "qcom,spmi-temp-alarm";
					interrupts = <0x8 0xa 0x0 0x3>;
					io-channel-names = "thermal";
					io-channels = <0x3 0x803>;
					phandle = <0xe>;
					reg = <0xa00>;
				};
			};
		};
	};

	fragment@7 {
		target = <0xffffffff>;

		__overlay__ {

			pm8550ve_tz {
				phandle = <0x52>;
				polling-delay = <0x0>;
				polling-delay-passive = <0x64>;
				thermal-governor = "step_wise";
				thermal-sensors = <0xe>;

				trips {

					trip0 {
						hysteresis = <0x0>;
						phandle = <0x25>;
						temperature = <0x17318>;
						type = "passive";
					};

					trip1 {
						hysteresis = <0x0>;
						phandle = <0x53>;
						temperature = <0x1c138>;
						type = "passive";
					};

					trip2 {
						hysteresis = <0x0>;
						phandle = <0x54>;
						temperature = <0x23668>;
						type = "critical";
					};
				};
			};
		};
	};

	fragment@8 {
		target = <0xffffffff>;

		__overlay__ {
			#address-cells = <0x2>;
			#interrupt-cells = <0x4>;
			#size-cells = <0x0>;
			interrupt-controller;

			qcom,pm8550vs@2 {
				#address-cells = <0x1>;
				#size-cells = <0x0>;
				compatible = "qcom,spmi-pmic";
				phandle = <0x55>;
				reg = <0x2 0x0>;

				pinctrl@8800 {
					#gpio-cells = <0x2>;
					#interrupt-cells = <0x2>;
					compatible = "qcom,pm8550vs-gpio";
					gpio-controller;
					interrupt-controller;
					phandle = <0x56>;
					reg = <0x8800>;
				};

				pm8550vs-c-temp-alarm@a00 {
					#thermal-sensor-cells = <0x0>;
					compatible = "qcom,spmi-temp-alarm";
					interrupts = <0x2 0xa 0x0 0x3>;
					io-channel-names = "thermal";
					io-channels = <0x3 0x203>;
					phandle = <0xf>;
					reg = <0xa00>;
				};
			};

			qcom,pm8550vs@3 {
				#address-cells = <0x1>;
				#size-cells = <0x0>;
				compatible = "qcom,spmi-pmic";
				phandle = <0x57>;
				reg = <0x3 0x0>;

				pinctrl@8800 {
					#gpio-cells = <0x2>;
					#interrupt-cells = <0x2>;
					compatible = "qcom,pm8550vs-gpio";
					gpio-controller;
					interrupt-controller;
					phandle = <0x58>;
					reg = <0x8800>;
				};

				pm8550vs-d-temp-alarm@a00 {
					#thermal-sensor-cells = <0x0>;
					compatible = "qcom,spmi-temp-alarm";
					interrupts = <0x3 0xa 0x0 0x3>;
					io-channel-names = "thermal";
					io-channels = <0x3 0x303>;
					phandle = <0x10>;
					reg = <0xa00>;
				};
			};

			qcom,pm8550vs@4 {
				#address-cells = <0x1>;
				#size-cells = <0x0>;
				compatible = "qcom,spmi-pmic";
				phandle = <0x59>;
				reg = <0x4 0x0>;

				pinctrl@8800 {
					#gpio-cells = <0x2>;
					#interrupt-cells = <0x2>;
					compatible = "qcom,pm8550vs-gpio";
					gpio-controller;
					interrupt-controller;
					phandle = <0x5a>;
					reg = <0x8800>;
				};

				pm8550vs-e-temp-alarm@a00 {
					#thermal-sensor-cells = <0x0>;
					compatible = "qcom,spmi-temp-alarm";
					interrupts = <0x4 0xa 0x0 0x3>;
					io-channel-names = "thermal";
					io-channels = <0x3 0x403>;
					phandle = <0x11>;
					reg = <0xa00>;
				};
			};

			qcom,pm8550vs@6 {
				#address-cells = <0x1>;
				#size-cells = <0x0>;
				compatible = "qcom,spmi-pmic";
				phandle = <0x5b>;
				reg = <0x6 0x0>;

				pinctrl@8800 {
					#gpio-cells = <0x2>;
					#interrupt-cells = <0x2>;
					compatible = "qcom,pm8550vs-gpio";
					gpio-controller;
					interrupt-controller;
					phandle = <0x5c>;
					reg = <0x8800>;
				};

				pm8550vs-g-temp-alarm@a00 {
					#thermal-sensor-cells = <0x0>;
					compatible = "qcom,spmi-temp-alarm";
					interrupts = <0x6 0xa 0x0 0x3>;
					io-channel-names = "thermal";
					io-channels = <0x3 0x603>;
					phandle = <0x12>;
					reg = <0xa00>;
				};
			};
		};
	};

	fragment@9 {
		target = <0xffffffff>;

		__overlay__ {

			pm8550vs_c_tz {
				phandle = <0x5d>;
				polling-delay = <0x0>;
				polling-delay-passive = <0x64>;
				thermal-governor = "step_wise";
				thermal-sensors = <0xf>;

				trips {

					trip0 {
						hysteresis = <0x0>;
						phandle = <0x5e>;
						temperature = <0x17318>;
						type = "passive";
					};

					trip1 {
						hysteresis = <0x0>;
						phandle = <0x5f>;
						temperature = <0x1c138>;
						type = "passive";
					};

					trip2 {
						hysteresis = <0x0>;
						phandle = <0x60>;
						temperature = <0x23668>;
						type = "critical";
					};
				};
			};

			pm8550vs_d_tz {
				phandle = <0x61>;
				polling-delay = <0x0>;
				polling-delay-passive = <0x64>;
				thermal-governor = "step_wise";
				thermal-sensors = <0x10>;

				trips {

					trip0 {
						hysteresis = <0x0>;
						phandle = <0x23>;
						temperature = <0x17318>;
						type = "passive";
					};

					trip1 {
						hysteresis = <0x0>;
						phandle = <0x62>;
						temperature = <0x1c138>;
						type = "passive";
					};

					trip2 {
						hysteresis = <0x0>;
						phandle = <0x63>;
						temperature = <0x23668>;
						type = "critical";
					};
				};
			};

			pm8550vs_e_tz {
				phandle = <0x64>;
				polling-delay = <0x0>;
				polling-delay-passive = <0x64>;
				thermal-governor = "step_wise";
				thermal-sensors = <0x11>;

				trips {

					trip0 {
						hysteresis = <0x0>;
						phandle = <0x22>;
						temperature = <0x17318>;
						type = "passive";
					};

					trip1 {
						hysteresis = <0x0>;
						phandle = <0x65>;
						temperature = <0x1c138>;
						type = "passive";
					};

					trip2 {
						hysteresis = <0x0>;
						phandle = <0x66>;
						temperature = <0x23668>;
						type = "critical";
					};
				};
			};

			pm8550vs_g_tz {
				phandle = <0x67>;
				polling-delay = <0x0>;
				polling-delay-passive = <0x64>;
				thermal-governor = "step_wise";
				thermal-sensors = <0x12>;

				trips {

					trip0 {
						hysteresis = <0x0>;
						phandle = <0x24>;
						temperature = <0x17318>;
						type = "passive";
					};

					trip1 {
						hysteresis = <0x0>;
						phandle = <0x68>;
						temperature = <0x1c138>;
						type = "passive";
					};

					trip2 {
						hysteresis = <0x0>;
						phandle = <0x69>;
						temperature = <0x23668>;
						type = "critical";
					};
				};
			};
		};
	};
};
